<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "326, 327, 361, 400, 421, 517, 518, 524, 525, 530, 531, 532, 533, 534, 535, 536, 537, 538, 539, 540, 541, 542, 543, 544, 545, 549, 622, 835, 865, 866, 868, 1149, 1150, 1151, 1152, 1153, 1246, 1276, 1277, 1291, 1295, 1305, 1306, 1307, 1308, 1309, 1310, 1364, 1365, 1366, 1377, 1394, 1426, 1427, 1428, 1429, 1430, 1438, 1439, 1440, 1441, 1603, 1604, 1637, 1638, 1842, 1880"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<!--#include file="includes/back_productpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY PRODUCT									
'This page brings up products for editing, or	
'produces a blank product form for adding new	
'products.										
'-----------------------------------------------

'-----------------------------------------------
'FUNCTION: BUILD UP PRODTYPE MULTISELECTOR
'-----------------------------------------------
Function DoCats(objCategoriesDictionary, objSubCategoriesDictionary, numMotherID, strTrail)
	'Write out the trail
	response.write("<option ")
	If Contains(strSelectedCategories, numMotherID) Then response.write "selected=""selected"" "
	response.Write("value=""" & numMotherID & """>-&nbsp;" & strTrail & objCategoriesDictionary.Item(Clng(numMotherID)) & "</option>")
	
	'If there are any sub categories for this category
	If objSubCategoriesDictionary.Exists(Clng(numMotherID)) then

		'Get all sub categories and loop through them
		arySubCategories = split(objSubCategoriesDictionary.Item(Clng(numMotherID)), ",")
		For each intSubCategory in arySubCategories

			If isnumeric(intSubCategory) then

				'Add the sub category to the end of the trail and call the function with the new sub-cat
				strTrailToPass = "&nbsp;&nbsp;&nbsp;&nbsp;" & strTrail
				DoCats objCategoriesDictionary, objSubCategoriesDictionary, intSubCategory, strTrailToPass
			end if
		Next
	end if
end Function
		
'-----------------------------------------------
'COLLECT VALUES FROM QUERYSTRING
'-----------------------------------------------
numOriginalProdType = CAT_ID
Dim P_Name(), P_Desc(), P_StrapLine(), P_SpecTable(), P_Hyperlink()
Redim P_Name(numTotalLanguages)
Redim P_Desc(numTotalLanguages)
Redim P_StrapLine(numTotalLanguages)
Redim P_SpecTable(numTotalLanguages)
Redim P_Hyperlink(numTotalLanguages)

Set objRecordSet3 = Server.CreateObject("ADODB.RecordSet")

'-----------------------------------------------
'RUN DATABASE QUERY
'-----------------------------------------------
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Products LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Suppliers ON tblCactuShop" & TABLE_PREFIX & "Products.P_SupplierID = tblCactuShop" & TABLE_PREFIX & "Suppliers.SUP_ID WHERE P_ID = " & P_ID 
Call ExecuteRS(strQuery, objRecordSet)
numRecordCount = objRecordSet.RecordCount

'-----------------------------------------------
'If a product has been pulled out of the DB then
'set these variables to the field info that was
'pulled out, otherwise this is a new product and
'the variables will be left blank.
'-----------------------------------------------
If numRecordCount > 0 Then
	P_ID = objRecordSet("P_ID")
	P_Live = objRecordSet("P_Live")
	P_Featured = objRecordSet("P_Featured")
	P_OrderByValue = objRecordSet("P_OrderByValue")
	P_OrderVersionsBy = objRecordSet("P_OrderVersionsBy")
	P_VersionDisplayType = objRecordSet("P_VersionDisplayType")
	P_Reviews = objRecordSet("P_Reviews")
	P_SupplierID = objRecordSet("P_SupplierID")
	P_Type = objRecordSet("P_Type")
	blnShowLiveWarn = (objRecordSet("SUP_Live") & "" = "n")
	P_CustomerGroupID = objRecordSet("P_CustomerGroupID")
	
	'Loop through all languages and get the names and descriptions
	For numCount = 1 to numTotalLanguages	
		If aryLangLiveBack(numCount) = "y" then
			P_Name(numCount) = WriteSafe(objRecordSet("P_Name" & CStr(numCount)))
			P_Desc(numCount) = objRecordSet("P_Desc" & CStr(numCount))
			P_StrapLine(numCount) = WriteSafe(objRecordSet("P_StrapLine" & CStr(numCount)))
			P_SpecTable(numCount) = WriteSafe(objRecordSet("P_SpecTable" & CStr(numCount)))
			P_Hyperlink(numCount) = WriteSafe(objRecordSet("P_Hyperlink" & CStr(numCount)))
			
			If P_SpecTable(numCount) <> "" then blnJsOpenSpec = true
		end if
	Next
Else
	P_ID = 0
	P_Reviews = "y"
End If
objRecordSet.Close


'-----------------------------------------------
'PULL OUT VERSIONS
'-----------------------------------------------
'Work out if we've got a combination base version
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_Type IN ('o','b') AND V_ProductID = " & P_ID
Call ExecuteRS(strQuery, objRecordSet)
blnGotOptions = not (objRecordSet.bof and objRecordSet.EOF)
objRecordSet.Close

'Work out how many versions we've got
strVersionsOrderBy = GetAppVar("sortversions")
If P_OrderVersionsBy <> "" then strVersionsOrderBy = P_OrderVersionsBy
If strVersionsOrderBy = "" then strVersionsOrderBy = "V_Name"
if strVersionsOrderBy = "V_Name" or strVersionsOrderBy = "V_Desc" then strVersionsOrderBy = strVersionsOrderBy & CInt(numLanguageID)
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_Type = 'v' AND V_ProductID=" & P_ID & " ORDER BY " & strVersionsOrderBy
Call ExecuteRS(strQuery, objRecordSet)
numTotalVersions = objRecordSet.RecordCount
objRecordSet.Close


'-----------------------------------------------
'SET CATEGORY WE CLICK-THROUGH FROM AS ON		
'-----------------------------------------------
dim strSelectedCategories
If P_ID = 0 Then strSelectedCategories = CAT_ID

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
		<!--#include file="includes/functions_jscript.asp"-->
	</head>
<script language="JavaScript" type="text/javascript">
<!-- 				
	function setVersionDisplayType() {	
		// first remove all items
		displaytype=document.getElementById('displaytype');
		displaytype.length=0;

		// Repopulate
		switch(document.getElementById('pricingtype').value) {
			case 'm':
				displaytype.options[0]=new Option("<%= Replace(GetString("ContentText_DefaultVerDisplayType"), "'", "\'") %>", "d", true, false);
				displaytype.options[1]=new Option("<% WriteString("ContentText_RowsVerDisplayType") %>", "r", false, false);
				displaytype.options[2]=new Option("<% WriteString("ContentText_OptionVerDisplayType") %>", "o", false, false);
				displaytype.options[3]=new Option("<% WriteString("ContentText_OptionPriceVerDisplayType") %>", "p", false, false);
				break
				
			case 'o':
				displaytype.options[0]=new Option("<% WriteString("ContentText_OptionGroupVerDisplayType") %>", "g", false, false);
				displaytype.options[1]=new Option("<% WriteString("ContentText_OptionGroupLineVerDisplayType") %>", "l", false, false);
				break
				
			case 's':   
				displaytype.options[0]=new Option("<% WriteString("ContentText_NoneVerDisplayType") %>", "n", false, false);
				break
		}
	}
	

-->
</script>

<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
	<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
	<td valign="top">
		<%= strProductHTML %>
		<%
		'-----------------------------------------------
		'GET CATEGORIES
		'-----------------------------------------------
		'Build up a string of ID numbers of categories
		'that are selected to use for highlighting the
		'selections in the full categories dropdown
		'later		
		strQuery = "SELECT PCAT_CategoryID FROM tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink WHERE PCAT_ProductID = " & P_ID
		Call ExecuteRS(strQuery, objRecordSet2)
		Do Until objRecordSet2.EOF
			If strSelectedCategories = "" then
				strSelectedCategories = objRecordSet2("PCAT_CategoryID")
			Else
				strSelectedCategories = strSelectedCategories & "," & objRecordSet2("PCAT_CategoryID")
			End If
			If numOriginalProdType = "" then numOriginalProdType = objRecordSet2(0)
			objRecordSet2.MoveNext
		Loop
		objRecordSet2.Close

		'Pull out all categories and highlight them if
		'the ID number is featured in the string that
		'we created above.
		For numCounter = 1 to numTotalLanguages: strCatLangs = strCatLangs & ", c.CAT_Name" & CStr(numCounter): Next
		strQuery = "SELECT c.CAT_ID, p.CAT_ID As ParentID" & strCatLangs & " FROM (tblCactuShop" & TABLE_PREFIX & "Categories AS c LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "CategoryHierachy ch ON c.CAT_ID = ch.CH_ChildID) LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Categories p ON ch.CH_ParentID = p.CAT_ID ORDER BY c." & strCategoryOrderBy
		Call ExecuteRS(strQuery, objRecordSet2)
		blnGotCategories = Not (objRecordSet2.BOF and objRecordSet2.EOF)
		%>		
		<form method="POST" action="_update_product.asp" enctype="multipart/form-data">
			<%= objCactuSession.Form %>
			<input type="hidden" name="P_ID" value="<% =P_ID %>" />
			<input type="hidden" name="strCallMode" value="<% If numRecordCount = 0 Then Response.Write("Add") Else Response.Write("Modify") %>" />
			<input type="hidden" name="strGotVersions" value="<% If numTotalVersions > 0 then response.write "y" else response.Write "n" %>" />
			<input type="hidden" name="strGotOptions" value="<% If blnGotOptions then response.write "y" else response.Write "n" %>" />

			<table border="0" cellpadding="5" width="100%" cellspacing="0">
				<tr>
					<td colspan="2" width="100%"><h1><% If numRecordCount = 0 Then WriteString("PageTitle_NewProduct") %></h1></td>
				</tr>
				
				<% if not blnGotCategories then %>
					<tr><td colspan="2"><% WriteString("ContentText_NoCategoriesForProduct") %></td></tr>
					<tr><td colspan="2"><a href="_modify_prodtype.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_AddNewSubcategory") %></a></td></tr><%
				Else 
					if blnShowLiveWarn then %>
						<tr class="warn">
							<td style="padding: 7 7 7 7; border: solid 1px; border-color: #BBBBBB; background-color: #EEEEEE;" colspan="2"><% WriteString("ContentText_ProductLiveWarn") %></td>
						</tr>
					<% end if %>
					
					<tr>
						<td valign="top" class="bold" width="30%"><% WriteString("FormLabel_ProductPricingType") %></td>
						<td>
							<select name="P_Type" size="1" id="pricingtype" onchange="setVersionDisplayType();">
								<%
								'Don't show single/multiple choice if we've got options set up
								If not blnGotOptions then
									'Only show single if we've got 0 or 1 versions 
									If numTotalVersions < 2 then %>
										<option value="s"<% If P_Type = "s" then response.Write("selected=""selected""") %>><% WriteString("FormLabel_ProductPricingTypeSingle") %></option>
									<% end if %>
									<option value="m"<% If P_Type = "m" then response.Write("selected=""selected""") %>><% WriteString("FormLabel_ProductPricingTypeMultiple") %></option>	
								<% end if %>
								
								<%
								'Only show option groups if we've got 'em set up, or we're go
								'no versions set up
								If blnGotOptions or numTotalVersions = 0 then %>
									<option value="o"<% If P_Type = "o" then response.Write("selected=""selected""") %>><% WriteString("FormLabel_ProductPricingTypeOptions") %></option>
								<% end if %>
							</select>
							
						</td>
					</tr>
					
					<tr>
						<td valign="top" class="bold"><% WriteString("FormLabel_VersionDisplayTypeNew") %></td>
						<td>
							<select id="displaytype" name="P_VersionDisplayType" size="1">
								<% Select Case P_Type 
									Case "o" %>
										<option value="g"<% If P_VersionDisplayType = "g" then response.write " selected=""selected""" %>><% WriteString("ContentText_OptionGroupVerDisplayType") %></option>
										<option value="l"<% If P_VersionDisplayType = "l" then response.write " selected=""selected""" %>><% WriteString("ContentText_OptionGroupLineVerDisplayType") %></option><%
										
									Case "m" %>
										<option value="d"<% If P_VersionDisplayType = "d" then response.write " selected=""selected""" %>><% WriteString("ContentText_DefaultVerDisplayType") %></option>
										<option value="r"<% If P_VersionDisplayType = "r" then response.write " selected=""selected""" %>><% WriteString("ContentText_RowsVerDisplayType") %></option>
										<option value="o"<% If P_VersionDisplayType = "o" then response.write " selected=""selected""" %>><% WriteString("ContentText_OptionVerDisplayType") %></option>
										<option value="p"<% If P_VersionDisplayType = "p" then response.write " selected=""selected""" %>><% WriteString("ContentText_OptionPriceVerDisplayType") %></option><%
										
									Case Else %>
										<option value="n"<% If P_VersionDisplayType = "n" then response.write " selected=""selected""" %>><% WriteString("ContentText_NoneVerDisplayType") %></option><%									
								End Select %>
							</select>
						</td>
					</tr>
					
					<tr>
						<td colspan="2"><hr /></td>
					</tr>
					
					<tr>
						<td class="bold"><% WriteString("FormLabel_ShowOnSite") %></td>
						<td><input <% If P_Live = "y" Or P_live = "" Then %>checked="checked" <% End If%>name="P_Live" type="checkbox" value="y" /></td>
					</tr>
					
					<tr>
						<td valign="top" class="bold"><% WriteString("FormLabel_Categories") %></td>
						<td valign="top">
						<% If GetAppVar("handlecategoryoverload") <> "on" then %>
							<select multiple="true" name="P_Categories" size="9"><% 
								'-------------------------------------------------------------
								' WRITE OUT CATEGORIES SELECT
								'-------------------------------------------------------------
								'Create dictionary objects that hold all the category information
								Set objCategoryDictionary = server.CreateObject("Scripting.Dictionary")	'Key - ID, Value - name of category
								Set objParentDictionary = server.CreateObject("Scripting.Dictionary")	'Key - Mother ID, Value - comma-separated IDs
								
								'Loop for every prodtype pulled out
								Do Until objRecordSet2.EOF
									'get repeated recordset values
									numChildID = objRecordSet2("CAT_ID")
									numParentID = NumSafe(objRecordSet2("ParentID"))
									
									'Find a product name that isn't blank, starting with the default ID
									strCategoryName = GetTranslation(objRecordSet2, "CAT_Name")
									
									'add to the categories dictionary
									If Not objCategoryDictionary.Exists(numChildID) Then
										objCategoryDictionary.Add numChildID, strCategoryName
									End If							
									
									'add it to parent dictionary - if it already exists, add it on
									'to the end of the list. If not, create a new entry
									if objParentDictionary.Exists(numParentID) then
										objParentDictionary.Item(numParentID) = objParentDictionary.Item(numParentID) & numChildID & ","
									else
										objParentDictionary.Add numParentID, numChildID & ","
									end if
	
									objRecordSet2.movenext
								Loop
								
								
								aryTopLevels = Split(objParentDictionary.Item(0), ",")
								For Each strCat in aryTopLevels
									If strCat <> "" then
										DoCats objCategoryDictionary, objParentDictionary, Clng(strCat), ""
									end if
								next
							%></select>
						<% else %>
							<input type="text" value="<% =strSelectedCategories %>" name="P_Categories" size="20" />
						<% End if
						objRecordSet2.Close %></td>
					</tr>
									
					<tr>
						<td valign="top"><% WriteString("FormLabel_Featured") %></td>
						<td>
							<select name="P_Featured" size="1">
							<% For numCount = 0 To 5 %>
							<option <% If P_Featured = numCount Then %>selected="selected" <% End If %>value="<% =numCount %>"><% =numCount %></option>
							<% Next %>
							</select>
							<span class="small"><% WriteString("ContentText_FeaturedText") %></span>
						</td>
					</tr><%
					If SOFTWARE_IS_PRO then
						Call DisplayBackendGroupLimiter("P_CustomerGroupID", P_CustomerGroupID)
					End If
				
					'------------------------------------------------
					'SUPPLIERS
					'------------------------------------------------
					if GetAppVar("suppliers") = "y" then %>
						<tr>
							<td valign="top"><% WriteString("FormLabel_Supplier") %></td>
							<td>
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td class="small"><% WriteString("ContentText_SelectExisting") %></td>
										<td>
											<%
											'Build supplier dropdown menu from DB query		
											strQuery = "SELECT SUP_ID, SUP_Name FROM tblCactuShop" & TABLE_PREFIX & "Suppliers ORDER BY SUP_Name"
											Call ExecuteRS(strQuery, objRecordSet2)
											Call SingleDropDown("P_SupplierID", "0", GetString("FormButton_Select") & ":", objRecordSet2, "SUP_ID", "SUP_Name", P_SupplierID)
											objRecordSet2.Close
											%>
										</td>
									</tr>
									<tr>
										<td class="small"><% WriteString("ContentText_OrCreateNew") %></td>
										<td><input type="text" name="SUP_Name" value="" size="30" /></td>
									</tr>
								</table>
							</td>
						</tr>
					<% end if %>
									
													
				<% For numCount = 1 to numTotalLanguages
					If aryLangLiveBack(numCount) = "y" then 
						if numCount = 1 then %>
							<tr>
								<td colspan="2"><hr /></td>
							</tr>
						<% end if
						
						if numTotalLanguages > 1 then 
							%>
							<tr>
								<td class="bold" colspan="2"><%= aryLangBackNames(numCount) %></td>
							</tr>
						<% end if %>
						<tr>
							<td valign="top" class="bold"><% WriteString("FormLabel_Title") %></td>
							<td><input type="text" name="P_Name<%=numCount%>" value="<%= P_Name(numCount) %>" size="35" /></td>
						</tr>
						<tr>
							<td valign="top"><% WriteString("FormLabel_StrapLine") %></td>
							<td><input type="text" name="P_StrapLine<% =numCount %>" value="<%= P_StrapLine(numCount) %>" size="45" /></td>
						</tr>	
						<tr>
							<td valign="top"><% WriteString("FormLabel_Description") %></td>
							<td><textarea rows="9" name="P_Desc<% =numCount %>" cols="45" wrap="on" style="width: 300px;"><%= P_Desc(numCount) %></textarea></td>
						</tr>
						<tr>
							<td><% WriteString("FormLabel_Hyperlink") %></td>
							<td><input type="text" name="P_hyperlink<% =numCount %>" value="<%= P_hyperlink(numCount) %>" size="35" /></td>
						</tr>
						<tr>
							<td colspan="2"><hr /></td>
						</tr>
					
					<% end if
				next %>

				<tr>
					<td valign="top"><% WriteString("FormLabel_OrderByValue") %></td>
					<td><input type="text" name="P_OrderByValue" value="<% =P_OrderByValue %>" size="5" /></td>
				</tr>
				<tr>
					<td><% WriteString("FormLabel_OrderVersionsBy") %></td>
					<td>
					<select name="P_OrderVersionsBy" size="1">
						<option value=""><% WriteString("FormLabel_ConfigOrderByVersions") %></option>
						<option<% If P_OrderVersionsBy="V_Name" then response.write(" selected=""selected""") %> value="V_Name"><% WriteString("FormLabel_VersionName") %></option>
						<option<% If P_OrderVersionsBy="V_Price" then response.write(" selected=""selected""") %> value="V_Price"><% WriteString("ContentText_Price") %></option>
						<option<% If P_OrderVersionsBy="V_OrderByValue" then response.write(" selected=""selected""") %> value="V_OrderByValue"><% WriteString("FormLabel_OrderByValue") %></option>
					</select></td>
				</tr>	

				<% 
				'------------------------------------------------
				'REVIEWS
				'------------------------------------------------
				if GetAppVar("enablereviews") = "y" then %>
					<tr>
						<td valign="top"><% WriteString("FormLabel_CustomerReviews") %></td>
						<td class="small">
						<select name="P_Reviews" size="1">
							<option<% If P_Reviews="y" then response.write(" selected=""selected""") %> value="y"><% WriteString("FormLabel_CustomerReviewsYes") %></option>
							<option<% If P_Reviews="v" then response.write(" selected=""selected""") %> value="v"><% WriteString("FormLabel_CustomerReviewsNoVersions") %></option>
							<option<% If P_Reviews="n" then response.write(" selected=""selected""") %> value="n"><% WriteString("FormLabel_CustomerReviewsNo") %></option>
						</select><br /><% WriteString("FormLabel_CustomerReviewsNoVersionExpl") %></td>
					</tr>
				<% else %>
					<input type="hidden" name="P_Reviews" value="<%=P_Reviews%>" />
				<% end if %>
			
				<%
				'-----------------------------------------
				'FIND IMAGES
				'-----------------------------------------
				'Normal
				Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")
				strNormalImageHTML = ""
				If Not strCallMode = "new" Then
					strFileName = GetFileLocation(Server.MapPath(GetAppVar("uploadsfolder") & "images_products/"), P_ID, Split(GetAppVar("allowedimages"), ","), objFileSystem)
					If Not strFileName = "" Then
						strNormalImageHTML = "<img src=""" & GetAppVar("uploadsfolder") & "images_products/" & strFileName & """ vspace=""5"" hspace=""5"" alt="""" /><br />"
						blnJsOpenImages = true
					End if
				End If
						
				'Large
				strLargeImageHTML = ""
				If Not strCallMode = "new" Then
					Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")
					strFileName = GetFileLocation(Server.MapPath(GetAppVar("uploadsfolder") & "images_products_large/"), P_ID, Split(GetAppVar("allowedimages"), ","), objFileSystem)
					If Not strFileName = "" Then
						strLargeImageHTML = "<img src='" & GetAppVar("uploadsfolder") & "images_products_large/" & strFileName & "' vspace=5 hspace=5><br />"
						blnJsOpenImages = true
					End if
				End If
				Set objFileSystem = Nothing
				%>
				<tr>
					<td colspan="2"><hr /></td>
				</tr>
				<tr bgcolor="#EEEEEE">
					<td colspan="2" class="bold"><a href="#images" onclick="ToggleItem(document.getElementById('imagesbox'));"><% WriteString("ContentText_Images") %></a></td>
				</tr>
				<tr bgcolor="#eeeeee" id="imagesbox"><td colspan="2"><table cellpadding="5" cellspacing="0" border="0">
					<tr>
						<td class="small bold" title="images"><% WriteString("ContentText_NormalImage") %></td>
						<td><input name="P_Image" size="30" type="file" /></td>
					</tr>
					<% if strNormalImageHTML <> "" then %>
						<tr>
							<td colspan="2" align="center"><%= strNormalImageHTML %></td>
						</tr>
						<tr>
							<td colspan="2"><input type="checkbox" name="P_DeleteImage" value="y" /><span class="small"><% WriteString("ContentText_TickHereToRemoveImage") %></span></td>
						</tr>
					<% end if %>
					<tr><td colspan="2"><hr /></td></tr>
					<tr>
						<td class="small bold"><% WriteString("ContentText_LargeImage") %></td>
						<td><input name="P_Image_Large" size="30" type="file" /></td>
					</tr>
					<% If strLargeImageHTML <> "" then %>
						<tr>
							<td colspan="2" align="center"><%= strLargeImageHTML %></td>
						</tr>
						<tr>
							<td colspan="2"><input type="checkbox" name="P_DeleteImage_Large" value="y" /><span class="small"><% WriteString("ContentText_TickHereToRemoveImage") %></span></td>
						</tr>
					<% End If %>
				</table></td></tr>
				
				<%
				'------------------------------------------------------
				'SPECIFICATION TABLE
				'------------------------------------------------------
				%>
				<tr>
					<td colspan="2"><hr /></td>
				</tr>				
				<tr bgcolor="#EEEEEE">
					<td colspan="2" class="bold" title="spec"><a href="#spec" onclick="ToggleItem(document.getElementById('specbox'));"><% WriteString("FormLabel_Specifications") %></a></td>
				</tr>
				<tr bgcolor="#eeeeee" id="specbox"><td colspan="2"><table cellpadding="5" cellspacing="0" border="0">
					<% For numCount = 1 to numTotalLanguages
						If aryLangLiveBack(numCount) = "y" then %>
							<tr>
								<td colspan="2" class="bold"><% 
									if numTotalLanguages > 1 then
										response.write aryLangBackNames(numCount) & "<br />"
									end if %>
									<textarea rows="9" name="P_SpecTable<% =numCount %>" cols="65" style="width: 420px;" wrap="off"><%= P_SpecTable(numCount) %></textarea>
								</td>
							</tr><%
						end if 
					next %>
					<tr>
						<td colspan="2"></td>
					</tr>
				</table></td></tr>
				

				<%
				If SOFTWARE_IS_PRO then 
					blnJsOpenAttributes = ShowProductAttributes(P_ID)
				Else
					blnJsOpenAttributes = true
				End If
				%>
				
				<tr>
					<td colspan="2"><hr /></td>
				</tr>
				
				<tr>
					<td>&nbsp;</td>
					<td align="right"><input type="submit" name="btnSubmit" id="submit" value="<% If numRecordCount > 0 Then WriteString("FormButton_Update") Else WriteString("FormButton_Add") %>" /></td>
				</tr><%
			End If %>
		</table>
		
		<% 
		If blnGotCategories then 
			'Need to put this here since it can't be set until the multidropdown %>
			<input type="hidden" name="CAT_ID" value="<% =numOriginalProdType %>" />
			</form>
			
			<script language="JavaScript" type="text/javascript">
			<% if Not blnJsOpenImages then %>HideItem(document.getElementById('imagesbox'));<% end if %>
			<% if Not blnJsOpenSpec then %>HideItem(document.getElementById('specbox'));<% end if %>
			<% if Not blnJsOpenAttributes then %>HideItem(document.getElementById('attributesbox'));<% end if %>
			
			</script>
			<hr />
			<%
			'-----------------------------------------------
			'If a product is being edited then we need to	
			'show the delete option and the table of		
			'versions.										
			'-----------------------------------------------
			If numRecordCount > 0 Then %>
				<form method="POST" enctype="multipart/form-data" action="_update_product.asp">
				<%= objCactuSession.Form %>
				<input type="hidden" name="strCallMode" value="Delete" />
				<%= strProductForm %>
				<table border="0" cellpadding="5" cellspacing="0" width="100%">
					<tr bgcolor="#EEEEEE">
						<td align="right" width="70"><input type="submit" name="btnDelete" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
						<td class="bold"><% WriteString("ContentText_DeleteThisProduct") %></td>
					</tr>
				</table>
				</form>
			<% end if 
		End If %>
	</td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
