<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "311, 452, 525, 622, 865, 1605, 1606, 1607, 1608, 1609, 1610, 1611, 1612, 1613, 1614, 1615, 1616, 1617, 1618, 1619, 1620, 1621, 1622, 1623, 1624, 1625, 1626, 1630, 1727, 1776, 1870, 1871, 1882, 1927"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'================================================

'-----------------------------------------------
'CREATE A NEW PROMOTION
'It's a long step process...
'-----------------------------------------------
'Dim arrayz! These hold settings for part 1 and 2
Dim strType(2), numVersionID(2), strVersionName(2), strSearch(2), numValue(2), blnShowNoResults(2)
Dim PROM_Name()
Redim PROM_Name(numTotalLanguages)

'Get values we potentially may have
strType(1) = ListSafe(Request.QueryString("strType1"), ",q,v", "")
strType(2) = ListSafe(Request.QueryString("strType2"), ",q,v,p", "")

'Basic values
PROM_StartDate = Request.QueryString("PROM_StartDate")
PROM_EndDate = Request.QueryString("PROM_EndDate")
PROM_Live = ListSafe(Request.QueryString("PROM_Live"), "y,n", "n")
PROM_OrderByValue = NumSafe(Request.QueryString("PROM_OrderByValue"))
PROM_MaxQuantity = NumSafe(Request.QueryString("PROM_MaxQuantity"))

For numCount = 1 to numTotalLanguages
	PROM_Name(numCount) = Request.QueryString("PROM_Name" & CStr(numCount))
next

'Loop through and set values
For i = 1 to 2
	numVersionID(i) = NumSafe(Request.QueryString("numVersionID" & i))
	strSearch(i) = Request.QueryString("strSearch" & i)
	numValue(i) = NumSafe(SQLDecimals(Request.QueryString("numValue" & i)))
	
	'If no value is set, set a default depending on type
	If numValue(i) = 0 then 
		If strType(i) = "q" then
			'Quantity - default to 1
			numValue(i) = 1
		ElseIf strType(i) = "p" then
			'Percentage - default to 100
			numValue(i) = 100
		End If
	End If

	'Do any commands based on actions on our values
	If request.QueryString("unselect" & i) <> "" then
		numVersionID(i) = 0
		strSearch(i) = ""
	End If

Next
			
'Based on the values collected, set the step
If strType(1) = "" or strType(2) = "" then	
	numStep = 1
Else
	numStep = 2
End If

'If we're editing an existing one and are on step 1, get 
'all the values from the database
PROM_ID = Numsafe(Request.QueryString("PROM_ID"))
If PROM_ID > 0 and numStep = 1 then
	strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Promotions WHERE PROM_ID = " & PROM_ID
	Call ExecuteRS(strQuery, objRecordSet)
	If objRecordSet.BOF and objRecordSet.EOF then
		PROM_ID = 0
	Else
		numStep = 2
		PROM_StartDate = objRecordSet("PROM_StartDate")
		PROM_EndDate = objRecordSet("PROM_EndDate")
		PROM_Live = objRecordSet("PROM_Live")
		PROM_OrderByValue = objRecordSet("PROM_OrderByValue")
		PROM_MaxQuantity = objRecordSet("PROM_MaxQuantity")
		For i = 1 to 2
			strType(i) = objRecordSet("PROM_Type" & i)
			numVersionID(i) = objRecordSet("PROM_VersionID" & i)
			numValue(i) = objRecordSet("PROM_Value" & i)
		Next
		For numCount = 1 to numTotalLanguages	
			If aryLangLiveBack(numCount) = "y" then
				PROM_Name(numCount) = objRecordSet("PROM_Name" & CStr(numCount))
			end if
		Next		
	End If
	objRecordSet.Close
End If

'Sort out dates
If not isdate(PROM_StartDate) then 
	PROM_StartDate = ""
ElseIf CDate(PROM_StartDate) = "1/1/1980" then 
	PROM_StartDate = ""
End If

If not isdate(PROM_EndDate) then 
	PROM_EndDate = ""
ElseIf Cdate(PROM_EndDate) = "1/1/2099" then 
	PROM_EndDate = ""
End If

'Get out version names if required
For i = 1 to 2
	If numVersionID(i) > 0 then
		strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Versions v INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products p ON v.V_ProductID = p.P_ID WHERE v.V_ID = " & numVersionID(i)
		Call ExecuteRS(strQuery, objRecordSet)
		If objRecordSet.BOF and objRecordSet.EOF then
			'Reset the ID
			numVersionID(i) = 0
		Else
			'Get out the name for display
			strVersionName(i) = GetTranslation(objRecordSet, "P_Name") & "<br /><span class=""small"">" & GetTranslation(objRecordSet, "V_Name") & " - " & objRecordSet("V_CodeNumber") & "</span>"
		End If
		objRecordSet.Close
	End If
	
	'If we've got a search, check on code number. If we've got one (and onlye one) set version ID to it.
	If numVersionID(i) = 0 and strSearch(i) <> "" then
		strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Versions v INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products p ON v.V_ProductID = p.P_ID WHERE v.V_CodeNumber = " & strUnicode & "'" & SQLSafe(strSearch(i)) & "'"
		Call ExecuteRS(strQuery, objRecordSet)
		If objRecordSet.RecordCount <> 1 then
			blnShowNoResults(i) = true
		Else
			'Get out the name for display
			numVersionID(i) = objRecordSet("V_ID")
			strVersionName(i) = GetTranslation(objRecordSet, "P_Name") & "<br /><span class=""small"">" & GetTranslation(objRecordSet, "V_Name") & " - " & objRecordSet("V_CodeNumber") & "</span>"
		End If
		objRecordSet.Close
	End If	
Next

								

'Decide whether the promotion is complete.
blnComplete = (numVersionID(1) > 0 or strType(1) = "v") And (numVersionID(2) > 0 or strType(2) = "v")

'Is it time to create/edit the promotion?
If blnComplete and request.QueryString("create") <> "" then
	
	If not isdate(PROM_StartDate) then PROM_StartDate = "1/1/1980"
	If not isdate(PROM_EndDate) then PROM_EndDate = "1/1/2099"

	IF PROM_ID = 0 then	
		strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "Promotions ("
		For numCount = 1 to numTotalLanguages
			If aryLangLiveBack(numCount) = "y" then strQuery = strQuery & "PROM_Name" & CStr(numCount) & ", "
		next
		strQuery = strQuery & "PROM_StartDate, PROM_EndDate, PROM_Type1, PROM_VersionID1, PROM_Value1, PROM_Type2, PROM_VersionID2, PROM_Value2, PROM_Live, PROM_OrderByValue, PROM_MaxQuantity) VALUES ("
		For numCount = 1 to numTotalLanguages
			If aryLangLiveBack(numCount) = "y" then strQuery = strQuery & strUnicode & "'" & SQLSafe(PROM_Name(numCount)) & "', "
		next
		strQuery = strQuery &_
			strDateDelimiter & ReverseDate(PROM_StartDate) & strDateDelimiter & "," &_
			strDateDelimiter & ReverseDate(PROM_EndDate) & strDateDelimiter & "," &_
			strUnicode & "'" & SQLSafe(strType(1)) & "'," &_
			numVersionID(1) & "," &_
			numValue(1) & "," &_
			strUnicode & "'" & SQLSafe(strType(2)) & "'," &_
			numVersionID(2) & "," &_
			numValue(2) & "," &_
			strUnicode & "'" & SQLSafe(PROM_Live) & "'," &_
			PROM_OrderByValue & "," &_
			PROM_MaxQuantity & ")"
	Else
	
		strquery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Promotions SET "
		for numCount = 1 to numTotalLanguages
			If arylangliveback(numCount) = "y" then strQuery = strQuery & "PROM_Name" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(PROM_Name(numCount)) & "', "
		next
		strQuery = strQuery &_
			"PROM_StartDate=" & strDateDelimiter & ReverseDate(PROM_StartDate) & strDateDelimiter & "," &_
			"PROM_EndDate=" & strDateDelimiter & ReverseDate(PROM_EndDate) & strDateDelimiter & "," &_
			"PROM_Type1=" & strUnicode & "'" & SQLSafe(strType(1)) & "'," &_
			"PROM_VersionID1=" & numVersionID(1) & "," &_
			"PROM_Value1=" & numValue(1) & "," &_
			"PROM_Type2=" & strUnicode & "'" & SQLSafe(strType(2)) & "'," &_
			"PROM_VersionID2=" & numVersionID(2) & "," &_
			"PROM_Value2=" & numValue(2) & "," &_			
			"PROM_Live='" & SQLSafe(PROM_Live) & "'," &_
			"PROM_OrderByValue=" & SQLSafe(PROM_OrderByValue) & "," &_
			"PROM_MaxQuantity=" & SQLSafe(PROM_MaxQuantity) &_
			" WHERE PROM_ID=" & PROM_ID

	End If
	
	Call ExecuteNonQuery(strQuery)
	
	Call EndPage()
	response.Redirect("_promotion_list.asp?" & strSessionQS)
	
ElseIf request.QueryString("delete") <> "" then

	strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "Promotions WHERE PROM_ID = " & PROM_ID
	Call ExecuteNonQuery(strQuery)
	Call EndPage()
	response.Redirect("_promotion_list.asp?" & strSessionQS)
		
end if


'This rather cheeky bit of HTML ensures that hitting 'enter' will submit the forward button.
'It's a hidden submit button taken out of the flow of the page. It's put at the top of the 
'form (for IE and mozilla) and just before other submit buttons (for opera)
If blnComplete then
	strHiddenSubmitHTML = "<input class=""submit"" type=""submit"" name=""create"" style=""position: absolute; width: 0; height: 0; background-color: Transparent; border: none;"" value=""_"" />"
Else
	strHiddenSubmitHTML = ""
End If

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
		<script src="includes/scriptaculous/prototype.js" type="text/javascript"></script>
		<script src="includes/scriptaculous/scriptaculous.js" type="text/javascript"></script>
	</head>
	<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
			</tr>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="660">
			<tr>
				<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
				<td valign="top">
					<form action="_modify_promotion.asp" method="get">
						<%= objCactuSession.Form %>
						<%= strHiddenSubmitHTML %>
						<input type="hidden" name="PROM_ID" value="<%= PROM_ID %>" />
						<table border="0" cellpadding="3" cellspacing="0" width="100%">
							<tr>
								<td colspan="2"><h1><%= IIf(PROM_ID > 0, GetString("PageTitle_ModifyPromotion"), GetString("PageTitle_CreatePromotion")) %></h1></td>
							</tr>
							
							<% 
							For i = 1 to 2
								'Format currencies
								If strType(i) = "v" then
									numValue(i) = objDefaultCurrency.DisplayWithoutSymbol(numValue(i), false)
								End If
							Next
						
							Select Case numStep
								Case 1 %>
									<tr>
										<td class="small" colspan="2"><% WriteString("ContentText_PromotionStep1") %></td>
									</tr>
									
									<tr>
										<td colspan="2">
											<ul>
												<li><a href="_modify_promotion.asp?<%= objCactuSession.QS%>strType1=q&amp;strType2=q"><% WriteString("ContentText_Promotion1") %></a></li>
												<li><a href="_modify_promotion.asp?<%= objCactuSession.QS%>strType1=q&amp;strType2=v"><% WriteString("ContentText_Promotion2") %></a></li>
												<li><a href="_modify_promotion.asp?<%= objCactuSession.QS%>strType1=q&amp;strType2=p"><% WriteString("ContentText_Promotion3") %></a></li>
											</ul>
											<ul>
												<li><a href="_modify_promotion.asp?<%= objCactuSession.QS%>strType1=v&amp;strType2=q"><% WriteString("ContentText_Promotion4") %></a></li>
												<li><a href="_modify_promotion.asp?<%= objCactuSession.QS%>strType1=v&amp;strType2=v"><% WriteString("ContentText_Promotion5") %></a></li>
												<li><a href="_modify_promotion.asp?<%= objCactuSession.QS%>strType1=v&amp;strType2=p"><% WriteString("ContentText_Promotion6") %></a></li>
											</ul>
										</td>
									</tr>										
								
								<% Case 2 %>
																							

									<tr>
										<td colspan="2" class="small"><% WriteString("ContentText_PromotionStep2a") %></td>
									</tr>
									<tr>
										<td width="30%"><% WriteString("FormLabel_PromotionLive") %></td>
										<td width="70%"><input type="checkbox" name="PROM_Live" value="y"<%= IIf(PROM_Live = "y", " checked=""checked""", "") %> /></td>
									</tr>
									
									<% numCount = 0
									For numCount = 1 to numTotalLanguages
										If aryLangLiveBack(numCount) = "y" then %>
											<tr>
												<td><% 
													if numTotalLanguages > 1 then response.write aryLangBackNames(numCount) & "&nbsp;"
													WriteString("FormLabel_PromotionName") 
												%></td>
												<td><input type="text" name="PROM_Name<% =numCount %>" value="<% =PROM_Name(numCount) %>" size="35" /></td>
											</tr>
										<% end if
									next %>
									
									<tr>
										<td><% WriteString("FormLabel_PromotionStartDate") %></td>
										<td><input type="text" name="PROM_StartDate" value="<%= PROM_StartDate %>" size="14" /></td>
									</tr>									
									<tr>
										<td><% WriteString("FormLabel_PromotionEndDate") %></td>
										<td><input type="text" name="PROM_EndDate" value="<%= PROM_EndDate %>" size="14" /></td>
									</tr>
									<tr>
										<td width="30%"><% WriteString("FormLabel_OrderByValue") %></td>
										<td width="70%"><input type="text" name="PROM_OrderByValue" value="<%= PROM_OrderByValue %>" size="5" /></td>
									</tr>
									
									<tr>
										<td width="30%"><% WriteString("FormLabel_PromotionMaxQuantity") %></td>
										<td width="70%"><input type="text" name="PROM_MaxQuantity" value="<%= PROM_MaxQuantity %>" size="5" /></td>
									</tr>
									
									
									<tr>
										<td colspan="2"><br /></td>
									</tr>										
									<tr>
										<td colspan="2" class="small"><% WriteString("ContentText_PromotionStep2b") %></td>
									</tr>
									<tr>
										<td colspan="2">
											<input type="hidden" name="strType1" value="<%= strType(1) %>" />
											<input type="hidden" name="strType2" value="<%= strType(2) %>" />	
											<table cellpadding="5" cellspacing="0" border="0" width="100%"><%
												For i = 1 to 2
													
													'---------------------------------------------------------
													'Q (quantity) and P (percentage) consist of a value and
													'a version
													'---------------------------------------------------------
													'Do quantity textbox
													response.Write "<tr><td>" & vbcrlf
													If i = 1 then 
														If strType(1) = "q" then
															WriteString("ContentText_PromotionBuy")
														Else
															WriteString("ContentText_PromotionSpendOver")
														End If
													Else
														WriteString("ContentText_PromotionGet")
													End If
													
													response.Write "</td><td colspan=""2"">" & IIf(strType(i) = "v", "", "") & vbcrlf
													response.write "<input type=""text"" name=""numValue" & i & """ value=""" & numValue(i) & """ size=""4"" />" & IIf(strType(i) = "p", "%", "") & vbcrlf
													response.write "</td></tr>" & vbcrlf
													
													
													'Do we want to do a versions choice?
													If strType(i) = "q" or strType(i) = "p" then
													
														response.Write "<tr><td width=""20%"">" & IIf(strType(i) = "q", GetString("ContentText_PromotionOf"), GetString("ContentText_PromotionOff")) & "</td>" & vbcrlf
														
														'Do version display. This may be a search box, a select box or the name of a version 
														'depending on the state
														If numVersionID(i) > 0 then
															'Selected a version, just show the name 
															response.Write "<td width=""40%""><input type=""hidden"" name=""numVersionID" & i & """ value=""" & numVersionID(i) & """ />" & strVersionName(i) & "</td>" & vbcrlf
															response.Write "<td width=""50%"" align=""right"">" & strHiddenSubmitHTML & "<input type=""submit"" class=""small"" name=""unselect" & i & """ value=""" & GetSafeString("FormButton_Change") & """ /></td>" & vbcrlf
															
														Else
															'Show search box %>
															<td width="80%">
																<input type="text" id="strSearch<%= i %>" name="strSearch<%= i %>" value="" size="35" /><div id="strSearch<%= i %>_choices" class="autocomplete"></div>
																<script type="text/javascript" language="javascript">new Ajax.Autocompleter("strSearch<%= i %>", "strSearch<%= i %>_choices", "_controller_getversions.asp?<%= objCactuSession.QS %>", {minChars: 1});</script>
																<% if blnShowNoResults(i) then response.Write "<div class=""small bold highlight"">" & GetString("ContentText_VersionNotFound") & "</div>" %>
															</td>
															<td width="20%" align="right" valign="top"><input type="submit" name="search" class="small" value="<%= GetSafeString("FormButton_Select") %>" /></td><%
														End If
														response.Write "</tr>" & vbcrlf
													End If
														
													If i = 2 then
														response.Write "<tr><td colspan=""3"">" & vbcrlf
														Select Case strType(2)
															Case "q": response.Write GetString("ContentText_PromotionFree") & vbcrlf
															Case "v": response.Write GetString("ContentText_PromotionOff") & vbcrlf
															Case "p"
														End Select														
														response.Write "</td></tr>" & vbcrlf
													End If
																									

												Next
												%>
											</table>
											
										</td>
									</tr>

									<% if blnComplete then %>
									<tr>
										<td colspan="2"><br /></td>
									</tr>											
									<tr>
										<td colspan="2"><input type="submit" name="create" value="<%= IIf(PROM_ID > 0, GetSafeString("FormButton_ModifyPromotion"), GetSafeString("FormButton_CreatePromotion")) %>" /></td>
									</tr>
									<% end if %>
									<tr>
										<td colspan="2"><br /></td>
									</tr>		
									<% If PROM_ID > 0 then %>
										<tr>
											<td colspan="2">
												<table border="0" cellpadding="5" cellspacing="0" width="100%" ID="Table1">
													<tr bgcolor="#EEEEEE">
														<td align="right" width="70"><input type="submit" name="delete" value="<%= GetSafeString("FormButton_Delete") %>" /></td>
														<td class="bold"><% WriteString("ContentText_DeleteThisEntry") %></td>
													</tr>
												</table>
											</td>
										</tr>	
										
														
									<% end if	
												
							End Select %>
						</table>
					</form>						
				</td>
			</tr>
		</table>
	</body>
</html>
<%
Call EndPage()
%>
