<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "311, 333, 350, 351, 352, 354, 355, 357, 358, 359, 380, 408, 414, 986, 987, 989, 1088, 1089, 1090, 1091, 1092, 1093, 1094, 1095, 1096, 1097, 1098, 1099, 1100, 1101, 1102, 1103, 1104, 1105, 1106, 1107, 1108, 1123, 1215, 1216, 1217, 1218, 1219, 1220, 1221, 1444, 1445, 1446"
blnDateStrings = true
strThisBackPage = "orders" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'ORDERS LIST									
'Shows recent orders, lets the site owner view	
'text of any order, search for orders and mark	
'those orders that have been actioned. Customers
'can view the status of their order from the web
'shop front end.
'-----------------------------------------------
'All the following values can effect the search
'based on what page is calling it
datValue1 = request.querystring("datValue1")
strCallMode = request.querystring("strCallMode")
C_EmailAddress = SQLSafe(request.querystring("C_EmailAddress"))
CP_CouponCode = SQLSafe(request.querystring("CP_CouponCode"))
AFP_ID = request.QueryString("AFP_ID")
strGateway = request.QueryString("strGateway")
strGatewayID = request.QueryString("strGatewayID")
O_ID = 0
If not datValue1 = "" then
	'If we're searching by date, then reset the callmode
	'so we view by day.
	strCallMode = ""
	if NOT IsDate(datValue1) then
		O_ID = NumSafe(datValue1) 
		If O_ID = 0 then
			datValue1 = NowOffset
		else
			datValue1 = ""
		end if
	else
		datValue1 = cdate(formatdatetime(datValue1))
		if datValue1 > NowOffset then datValue1 = CDate(formatdatetime(now))
	end if
End if
	
If numErrorNo = 0 then

		Select Case strCallMode
			case "affpayment"
				If not isnumeric(AFP_ID) or AFP_ID = "" then 
					Call EndPage()
					response.Redirect("_default.asp?" & strSessionQS)
				end if
				strSearchClause = "O_AffiliatePaymentID = " & AFP_ID
				numLimitClause = 0
				blnLimitDate = false
				strPageSubTitle = GetString("PageTitle_OrdersAffiliatePayments")
				strPageText = GetString("ContentText_OrdersAffiliatePaymentsText")
			Case "recent"
				strSearchClause = "O_Sent = 'y'"
				numLimitClause = 25
				blnLimitDate = false
				strPageSubTitle = GetString("PageTitle_OrdersRecent")
				strPageText = GetString("ContentText_OrdersRecentText")
			Case "invoice"
				strSearchClause = "O_Sent = 'y' AND O_Invoiced='n' AND O_Paid='n'"
				numLimitClause = 50
				blnLimitDate = false
				strPageSubTitle = GetString("PageTitle_OrdersAwaitingInvoice")
				strPageText = GetString("ContentText_OrdersAwaitingInvoiceText")
			Case "dispatch"
				strSearchClause = "O_Sent = 'y' AND O_Shipped='n' AND O_Paid='y'"
				numLimitClause = 50
				blnLimitDate = false
				strPageSubTitle = GetString("PageTitle_OrdersAwaitingDispatch")
				strPageText = GetString("ContentText_OrdersAwaitingDispatchText")
			Case "complete"
				strSearchClause = "O_Shipped='y' AND O_Paid='y'"
				numLimitClause = 50
				blnLimitDate = false
				strPageSubTitle = GetString("PageTitle_OrdersComplete")
				strPageText = GetString("ContentText_OrdersCompleteText")						
			Case "payment"
				strSearchClause = "O_Sent = 'y' AND O_Invoiced='y' AND O_Paid='n'"
				numLimitClause = 50
				blnLimitDate = false
				strPageSubTitle = GetString("PageTitle_OrdersAwaitingPayment")
				strPageText = GetString("ContentText_OrdersAwaitingPaymentText")
			
			Case "unfinished"
				strSearchClause = "O_Sent='n'"
				numLimitClause = 50	
				blnLimitDate = false
				strPageSubTitle = GetString("PageTitle_OrdersUnfinished")
				strPageText = GetString("ContentText_OrdersUnfinishedText")
				
			Case Else
				If datValue1 = "" then datValue1 = cdate(formatdatetime(NowOffset(), 2))
				If O_ID > 0 then
					strSearchClause = "O_Sent = 'y' AND O_ID = " & O_ID
					strPageSubTitle = ""
					strPageText = ""
					blnLimitDate = false
				Else
					strSearchClause = "O_Sent = 'y' AND O_Date>" & strDateDelimiter & ReverseDate(datValue1) & strDateDelimiter & " AND O_Date<" & strDateDelimiter & ReverseDate(datValue1 + 1) & strDateDelimiter
					strPageSubTitle = GetString("PageTitle_OrdersByDay")
					strPageText = GetString("ContentText_OrdersByDayText")
					blnLimitDate = true
				End If
				numLimitClause = 0		
		End Select
				

	End If
	
	datValue2 = NowOffset()
	If numLimitClause = 0 Then
		strQuery = "SELECT * FROM (tblCactuShop" & TABLE_PREFIX & "Customers INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "Customers.C_ID = tblCactuShop" & TABLE_PREFIX & "Orders.O_CustomerID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Currencies ON tblCactuShop" & TABLE_PREFIX & "Orders.O_CurrencyID = tblCactuShop" & TABLE_PREFIX & "Currencies.CUR_ID WHERE " & strSearchClause & " ORDER BY O_Date DESC"
	Else
		strQuery = LimitSQL("* FROM (tblCactuShop" & TABLE_PREFIX & "Customers INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "Customers.C_ID = tblCactuShop" & TABLE_PREFIX & "Orders.O_CustomerID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Currencies ON tblCactuShop" & TABLE_PREFIX & "Orders.O_CurrencyID = tblCactuShop" & TABLE_PREFIX & "Currencies.CUR_ID WHERE " & strSearchClause & " ORDER BY O_Date DESC", numLimitClause, false)
	End If
	Call ExecuteRS(strQuery, objRecordSet)
	numRecordCount = objRecordSet.recordcount
	If numRecordCount = 1 and O_ID > 0 then
		objRecordSet.Close
		Call EndPage()
		Response.Redirect("_modify_orderstatus.asp?" & strSessionQS & "O_ID=" & O_ID)
	End If
End if
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top"><form action="_orders_list.asp" method="get">
    <%= objCactuSession.Form %>
    <input type="hidden" name="strCallMode" value="<%=strCallMode%>" />
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td><h1><% WriteString("PageTitle_Orders") %>&nbsp;<%= IIf(strPageSubTitle <> "", "- " & strPageSubTitle, "") %></h1></td>
	</tr>
	<% If strPageText <> "" then %>
		<tr>
			<td><%= strPageText %></td>
		</tr>
	<% end if %>
	<% if strCallMode = "gateway" then %>
	<tr>
		<td>Gateway: </span>
			<select name="strGateway" size="1">
				<option value=""><% WriteString("ContentText_AllGateways") %></option>
				<% 
				strQuery = "SELECT DISTINCT O_PaymentGateway FROM tblCactuShop" & TABLE_PREFIX & "Orders" 
				Call ExecuteRS(strQuery, objRecordSet2)
				do while not objRecordSet2.EOF
					If objRecordSet2("O_PaymentGateway") = strGateway then strSelectedText = " selected=""selected""" else strSelectedText = ""
					response.Write "<option value=""" & objRecordSet2("O_PaymentGateWay") & """" & strSelectedText & ">" & objRecordSet2("O_PaymentGateWay") & "</option>"
					objRecordSet2.MoveNext
				Loop
				%>
			</select>&nbsp;&nbsp;<% WriteString("ContentText_TransID") %>: <input type="text" name="strGateWayID" size="16" value="<%=strGateWayID%>" />&nbsp;<input type="submit" name="submit" value="<% WriteString("FormButton_Search") %>" /></td>
	</tr>
	<% else %>
	<tr>
		<td><span><% WriteString("ContentText_FindAnOrder") %></span> <input type="text" name="datValue1"><input type="submit" name="btnSearch" id="search" value="<% WriteString("FormButton_Search") %>" /></td>
	</tr>
	<tr>
		<td class="small"><% WriteString("ContentText_EnterDate") %></td>
	</tr>
	<% end if %>
	</table></form>

<% If numErrorNo = 0 then
	If strCallMode = "unfinished" Then
%>	<form action="_orders_purge.asp" method="post">
		<%= objCactuSession.Form %>
		<input name="PurgeOrders" type="hidden" value="True" />
		<input type="submit" value="<% WriteString("ContentText_PurgeUnfinishedOrders") %><% Response.Write(FormatDate(DateAdd("d", -GetAppVar("purgeunfinisheddays") + 1, NowOffset),strDateFormat)) %>" />
	</form>
<%	End If %>
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
	<% if blnLimitDate then 
		datValue2 = datValue1 - 2 %>
	<tr>
		<td class="small"><a href="_orders_list.asp?<%= objCactuSession.QS %>datValue1=<% =server.URLEncode(ReverseDate(datValue2 + 1)) %>">&lt;&lt;&nbsp;<%
		response.write(FormatDate(datValue2 + 1, strDateFormat))
		%></a> | <% =FormatDate(datValue2 + 2, strDateFormat) %>
		<% datValue2 = datValue2 + 2
		If datValue2 < NowOffset() - 1 then
		%> | <a href="_orders_list.asp?<%= objCactuSession.QS %>datValue1=<% =ReverseDate(datValue2 + 1)%>"><%
		response.write(FormatDate(datValue2 + 1, strDateFormat))
		%>&nbsp;&gt;&gt;</a><% end if %></td>
	</tr>
	<% end if %>
	<% If C_EmailAddress="" AND CP_CouponCode="" AND strCallMode="" and O_ID = 0 then %>
	<tr>
		<td class="bold"><%
			'Write out the date, along with the day of the week
			response.Write GetWeekday(datValue1, false) & ", " & FormatDate(datValue1, strDateFormat)  %>
		</td>
	</tr>
	<% datValue2 = datValue2-3
	end if 
	%>
	<tr>
		<td><table border="0" cellpadding="3" cellspacing="0" width="100%">
		<tr>
			<td class="small bold dull" width="5%"><% WriteString("ContentText_ID") %></td>
			<td class="small bold dull" width="18%"><% WriteString("ContentText_DateTime") %></td>
			<td class="small bold dull" width="20%" align="right"><% WriteString("ContentText_Value") %>&nbsp;&nbsp;&nbsp;&nbsp;</td>
			<td class="small bold dull" width="45%"><% WriteString("ContentText_CustomerName") %></td>
			<td class="small bold dull" width="12%">&nbsp;</td>
		</tr>
		<%
		if numRecordCount<>0 then
			do while not objRecordSet.EOF
			numBgCount = numBgCount + 1
			If numBgCount mod 2 = 0 then
				strBgColourNorm="#EEEEEE"
				strBgColourRed="#FFAAAA"
				strBgColourGreen="#99CC99"
				strBgColourDone = "#BBBBBB"
			else
				strBgColourNorm="#DDDDDD"
				strBgColourRed="#FFBBBB"
				strBgColourGreen="#99DD99"
				strBgColourDone = "#AAAAAA"
			end if
			
			strThisBgColour = strBgColourNorm
			
			If objRecordSet("O_Invoiced") = "y" AND objRecordSet("O_Paid")="n" AND (objRecordSet("O_Date") + Clng(GetAppVar("invoiceduedays"))) < NowOffset() then strThisBgColour = strBgColourRed
			If objRecordSet("O_Paid") = "y" then strThisBgColour = strBgColourGreen
			If objRecordSet("O_Paid") = "y" and objRecordSet("O_Shipped") = "y" then strThisBgColour = strBgColourDone
			%>
			<tr bgcolor="<% =strThisBgColour %>">
				<td class="small"><% =objRecordSet("O_ID") %></td>
				<td class="small"><% =FormatDate(objRecordSet("O_Date"),strDateFormat) %></td>
				<% If objRecordSet("CUR_HasDecimals") = "n" then CUR_HasDecimals = false else CUR_HasDecimals = true %>
				<td class="small" align="right"><% =objRecordSet("CUR_Symbol") & " " & objDefaultCurrency.DisplayWithoutSymbol(objRecordSet("O_TotalPrice"), false) %>&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td class="small"><% =objRecordSet("C_CardholderName") %></td>
				<td class="small" align="right"><a href="_modify_customerstatus.asp?<%= objCactuSession.QS %>C_ID=<% =server.URLencode(objRecordSet("C_ID")) %>"><img alt="<% WriteSafeString("ImageLabel_ViewThisCustomer") %>" title="<% WriteSafeString("ImageLabel_ViewThisCustomer") %>" src="images/b_customer.gif" border="0" /></a>&nbsp;<a href="_modify_orderstatus.asp?<%= objCactuSession.QS %>O_ID=<% =objRecordSet("O_ID") %>&amp;datValue1=<%=server.URLEncode(ReverseDate(datValue1))%>&amp;strCallMode=<%=strCallMode%>&amp;C_EmailAddress=<%=C_EmailAddress%>&amp;CP_CouponCode=<%=CP_CouponCode%>&amp;AFP_ID=<%=AFP_ID%>"><img border="0" src="images/b_order.gif" alt="<% WriteSafeString("ImageLabel_ViewThisOrder") %>" title="<% WriteSafeString("ImageLabel_ViewThisOrder") %>" /></a></td>
			</tr>		
			<%
			objRecordSet.MoveNext
			loop
			%>
			<tr>
				<td class="small" colspan="5"><% WriteString("ContentText_OrdersListIndicates") %><% WriteString("ContentText_OrdersListIndicatesComplete") %></td>
			</tr>
		<%			
		else 
			if strCallMode = "gateway" then %>
		<tr>
			<td colspan="5"><br /><% WriteString("ContentText_SelectGateWay") %></td>
		</tr>
			<% else %>
		<tr>
			<td colspan="5"><br /><% WriteString("ContentText_NoOrdersMadeOnThisDay") %><br /><br /></td>
		</tr>
			<% end if
		end if
		objRecordSet.Close
		%>
		</table></td>
	</tr>

	</table>
<% else %>
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td class="bold"><% WriteString("ContentText_TheDateEnteredWasInvalid") %></td>
	</tr>
	<tr>
		<td class="small"><a href="javascript:history.back()">&lt;&lt;&nbsp;<% WriteString("ContentText_BackLink") %></a></td>
	</tr>
	</table>
<% end if %></td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
