<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "225, 226, 227, 228, 229, 230" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/customer_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2008 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'PROCESS SPEEDORDER REQUEST
'Number of Items which can be ordered at once is
'held in config table row ("SpeedRowCount"). This
'page cycles through order rows and formats a
'string to pass to basket.asp. Items which aren't
'available or can't be found are flagged and
'reported on the basket page. This page also
'handles items added to the basket from the main
'pages if using textboxes or dropdown.
'-----------------------------------------------

'-----------------------------------------------
'SET START VALUES
'-----------------------------------------------
strSpeedError = ""
strReturnURL = request.form("strReturnURL")
numLineCount = NumSafe(request.form("numLineCount"))

'-----------------------------------------------
'LOOP THROUGH ITEMS AND BUILD STRING
'-----------------------------------------------
For numSpeedRowCount = 1 to numLineCount

	'Get the code and quantity entered for this row
	strCode = Trim(Request.form("strCode" & numSpeedRowCount))
	numSpeedOrderQuantity = NumSafe(Request.form("numQuant" & numSpeedRowCount))
	
	'Have we got an invalid quantity for one of the rows?
	if strCode <> "" and numSpeedOrderQuantity = 0 then
		strSpeedError = strSpeedError & "&invalid=" & numSpeedRowCount
		
	else
		if strCode <> "" then
			'Try and pull out the details for this version
			strQuery = "SELECT DISTINCT V_ID FROM ((((tblCactuShop" & TABLE_PREFIX & "TaxRates INNER JOIN tblCactuShop" & TABLE_PREFIX & "Versions ON tblCactuShop" & TABLE_PREFIX & "Versions.V_Tax = tblCactuShop" & TABLE_PREFIX & "TaxRates.T_ID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Versions.V_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink ON tblCactuShop" & TABLE_PREFIX & "Products.P_ID = tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_ProductID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Categories ON tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_CategoryID = tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID) LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Suppliers ON tblCactuShop" & TABLE_PREFIX & "Products.P_SupplierID = tblCactuShop" & TABLE_PREFIX & "Suppliers.SUP_ID WHERE CAT_Live='y' AND CAT_CustomerGroupID IN (0," & NumSafe(DB_CG_ID) & ") AND P_Live='y' AND V_Live='y' AND V_CustomerGroupID IN (0," & NumSafe(DB_CG_ID) & ") AND P_CustomerGroupID IN (0," & NumSafe(DB_CG_ID) & ") AND P_Type <> 'o' AND V_Type <> 'b' AND V_CodeNumber=" & strUnicode & "'" & SQLSafe(strCode) & "' AND (SUP_Live <> 'n' OR SUP_Live IS NULL)"
			Call ExecuteRS(strQuery, objRecordSet)
			
			If objRecordSet.BOF and objRecordSet.EOF then
				'Wasn't found - pass that it was bad
				If strSpeedError <> "" then strSpeedError = strSpeedError & "&"
				strSpeedError = strSpeedError & "&noexist=" & numSpeedRowCount
				
			else
				'Found - pass it on to basket for processing
				strSpeedURL = strSpeedURL & "&V" & numSpeedRowCount & "=" & objRecordSet("V_ID") & "&Q" & numSpeedRowCount & "=" & numSpeedOrderQuantity
			end if
			objRecordSet.Close
		end if
	end if
Next

'-----------------------------------------------
'REDIRECT TO BASKET OR LAST PAGE
'Go to basket if some items were added or there
'were some product selection errors, otherwise
'go back to the page they came from.
'-----------------------------------------------
Call EndPage()
If strSpeedURL <> "" or strSpeedError <> "" then
	strSpeedURL = "basket.asp?" & strSessionQS & "strAction=add&numLineCount=" & numLineCount & strSpeedURL & strSpeedError & "&strReturnURL=" & strReturnURL
elseif strReturnURL = "" then
	'We've come from speedorder, but nothing was entered. Go back
	strSpeedURL = "speedorder.asp?" & strSessionQS
Else
	strSpeedURL = replace(replace(strReturnURL,":::","?"),"|||","&") & "&" & strSessionQS
end if

response.redirect(strSpeedURL)
%>
