<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "18, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 68, 69, 70, 71, 121, 164, 222, 301, 821, 822, 823, 824, 825, 1078, 1086, 1450, 1617, 1618, 1619, 1620, 1621, 1623, 1672, 1709, 1724, 1767, 1768, 1786, 1788, 1882, 1907, 1908, 1909, 1910, 1911, 1930" 
blnDateStrings = true %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/customer_security.asp"-->
<%

'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'Sub to add version to basket
Sub AddVersionToBasket(numVersionID, numQuantity, strOptionGroups, strOptions)
	If objBasket.Exists(numVersionID, strOptions) then	
		objBasket.Version(numVersionID, strOptions).IncreaseQuantity(numQuantity)
	Else
		objBasket.Add numVersionID, numQuantity, strOptionGroups, strOptions
	End If
End Sub

'Set page title
strPageTitleHTML = GetString("PageTitle_ShoppingBasket") & GetString("PageTitle_Separator") & GetString("Config_Webshopname")


'***********************************************
'BASKET PROCESSING
'***********************************************
'Collect parameters and set values			
numLineCount = NumSafe(Request.Querystring("numLineCount"))
numRemove = NumSafe(Request.QueryString("numRemove"))
strAction = ListSafe(DualRequest("strAction"), "refresh,remove,add,removecoupon", "refresh")
numOptionGroupIDs = request.Querystring("numOptionGroupIDs")

If request.querystring("strFromBasket") = "yes" then strAction = "refresh"

'Are there any errors?
If request.QueryString("noexist") <> "" or request.QueryString("invalid") <> "" then
	strSpeedMessage = GetString("ContentText_SpeedOrderInvalid")
end if

'Set which to return to after we've processed the basket
strReturnTo = ListSafe(request.QueryString("strReturnTo"), ",home,cat,product,search,speedorder", "")
Select Case strReturnTo
	Case "home"
		strReturnURL = "default.asp?" & objCactuSession.QS
		
	Case "product", "cat"
		'Get return variables
		Set objTrail = New BreadcrumbTrail
		numReturnP_ID = NumSafe(request.QueryString("numReturnP_ID"))
		numReturnCAT_ID = NumSafe(request.QueryString("numReturnCAT_ID"))
		numReturnRecordPosition = NumSafe(request.QueryString("numReturnRecordPosition"))
		
		'Build up the url
		strReturnURL = IIf(strReturnTo = "product", "product.asp", "prodtype.asp") & "?" & objCactuSession.QS & objTrail.QS & "P_ID=" & numReturnP_ID & "&amp;CAT_ID=" & numReturnCAT_ID & "&amp;numRecordPosition=" & numReturnRecordPosition
				
	Case "search"
		numReturnSearchStartRecord = NumSafe(request.QueryString("numSearchStartRecord"))
		strReturnURL = "search.asp?" & objCactuSession.QS & "numSearchStartRecord=" & numReturnSearchStartRecord
		
	Case "speedorder"
		strReturnURL = "speedorder.asp?" & objCactuSession.QS
		
End Select
		


'-----------------------------------------------
'REFRESH
'Check through all incoming values and update
'their quantities
'-----------------------------------------------
Select Case strAction
	Case "refresh"
		'Loop through each item in the basket
		for numCount = 0 to objBasket.Count - 1
			'Get quantity from form and update
			If Request.Querystring("T" & numCount) <> "" then
				numNewBasketQty = NumSafe(Request.Querystring("T" & numCount))
				objBasket.Item(numCount).Quantity = numNewBasketQty
			End If
		Next


	Case "add"
		'-----------------------------------------------
		'CHECK TO SEE IF WE'RE ADDING FROM OPTIONS
		'We need to grab the option groups and option 
		'selections. Code to check the validity in
		'the basket class.
		'-----------------------------------------------
		If numOptionGroupIDs <> "" then
			'Get the quantity to add
			numQty = NumSafe(Request.querystring("Q1"))
			numBaseVersionID = NumSafe(Request.QueryString("V_ID"))
			
			If numQty > 32767 then numQty = 32767
			If numQty > 0 And numBaseVersionID > 0 then		
				aryOptionGroupIDs = split(numOptionGroupIDs, ", ")
					
				'Loop through all options
				For Each strOptionGroupID in aryOptionGroupIDs
					OPT_ID = 0
					OPTG_ID = NumSafe(strOptionGroupID)
					If OPTG_ID > 0 then
						'Check out the option selection -
						'First check to see if there's a nocheck type
						OPT_ID = request.QueryString("NOCHECK_OPT_ID" & OPTG_ID)
						If OPT_ID <> "" Then
							'There is - see if we've got the checkbox was checked
							If request.QueryString("OPT_ID" & OPTG_ID) <> "" then
								OPT_ID = request.QueryString("OPT_ID" & OPTG_ID)
							End If
						Else
							'Didn't have a NOCHECK type, so it's not from a 
							'checkbox. Get it normally.
							OPT_ID = request.QueryString("OPT_ID" & OPTG_ID)
						End If
					End If
					
					If OPTG_ID > 0 and OPT_ID > 0 then
						'Add on our new values
						strOptionGroupIDs = IIf(strOptionGroupIDs = "", OPTG_ID, strOptionGroupIDs & "|" & OPTG_ID)
						strOptionIDs = IIf(strOptionIDs = "", OPT_ID, strOptionIDs & "|" & OPT_ID)
					End If
				Next
			End If					

			
			'Add the version to the basket
			If numQty > 0 and numBaseVersionID > 0 then
				AddVersionToBasket numBaseVersionID, numQty, strOptionGroupIDs, strOptionIDs
			End If

		Else
			'-----------------------------------------------
			'ADD EACH ITEM TO THE BASKET
			'-----------------------------------------------
			For numSpeedRows = 1 to numLineCount
				'Get the quantity to add
				numNewBasketQty = NumSafe(Request.querystring("Q" & numSpeedRows))
				numNewVersion = NumSafe(Request.querystring("V" & numSpeedRows))
				If numNewVersion > 0 then
					AddVersionToBasket numNewVersion, numNewBasketQty, 0, 0
				end if
			Next
		End If
	
	Case "remove"
		'Delete the item from the basket
		strOptions = request.QueryString("strOptions")
		If objBasket.Exists(numRemove, strOptions) then
			objBasket.Delete numRemove, strOptions
		End If
		
End Select


'-----------------------------------------------
'ClEAN ARRAY AND SAVE BASKET TO SESSION
'Because we might be redirecting before buildpage
'we want to make sure we save our changes
'-----------------------------------------------
objBasket.Clean
objCactuSession.Edit "strItems", objBasket.Items
objCactuSession.Edit "strQuantities", objBasket.Quantities
objCactuSession.Edit "strOptionGroups", objBasket.OptionGroups
objCactuSession.Edit "strOptions", objBasket.Options	

'-----------------------------------------------
'PAGE REDIRECTION
'Actions have all been performed - redirect if
'required (e.g. start checkout process)
'-----------------------------------------------
If strCouponError = "" then
	If len(Request.Querystring("btnEmpty")) > 0 then 
		Call EndPage()
		response.redirect("emptybasket.asp?" & strSessionQS)

	ElseIf len(Request.Querystring("btnCheckout")) > 0 then 
		Call EndPage()
		response.redirect("checkout.asp?" & strSessionQS)

	ElseIf len(Request.Querystring("btnEnquire")) > 0 then 
		Call EndPage()
		response.redirect("contact.asp?" & strSessionQS & "strCallMode=enquiry")

	End If
End If

'-----------------------------------------------
'BASKET NOT SHOWN - STRAIGHT BACK TO LAST PAGE
'-----------------------------------------------
strAppShowBasket = GetAppVar("showbasket")
If strAppShowBasket = "n" and strReturnURL <> "" then 
	Call EndPage()
	response.redirect(Replace(strReturnURL, "&amp;", "&"))
End If


'-----------------------------------------------
'PUT BUILDPAGE.ASP INCLUDE FURTHER DOWN
'This can't go at the top like on the other
'pages otherwise the side menu basket will not
'be updated with the latest item added to the
'basket.
'-----------------------------------------------
%><!--#include file="includes/buildpage.asp"--><%



'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE					
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)



'-----------------------------------------------
'DETERMINE WHAT META REFRESH TO SET FOR BASKET
'If the 'showbasket' setting in the config is a
'number, we set meta refresh to that value in
'seconds providing there is a return URL. If
'there's an error then don't redirect. Add
'in meta refresh after head tag in skin.
'-----------------------------------------------
If IsNumeric(strAppShowBasket) AND strReturnURL <> "" and strSpeedMessage = "" and strAdjusted = "" then 
	strMetaRefresh = "<meta http-equiv=""refresh"" content=""" & NumSafe(strAppShowBasket) & ";URL=" & strReturnURL & """ />"
	aryPageTemplate(0) = Replace(aryPageTemplate(0),"<head>","<head>" & vbcrlf & strMetaRefresh)
end if




'-----------------------------------------------
'WRITE FIRST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(0))

%>
<h1><% WriteString("PageTitle_ShoppingBasket") %></h1>
<div class="basket">
	<% If Not strMetaRefresh = "" Then
		'Meta redirect display message %>
		<p><strong><% WriteString("ContentText_ItemsAdded") %></strong></p>
		<h2><% WriteString("ContentText_PleaseWait") %></h2>

	<% Else
		'show basket error message if we've got one
		If strSpeedMessage <> "" Then %>
			<div class="errors speederror"><strong><% =strSpeedMessage %></strong></div>
		<% End If

		'show basket error message if we've got one
		If strCouponError <> "" Then %>
			<div class="errors couponerror"><strong><% =strCouponError %></strong></div>
		<% End If

		'If basket is empty, show message
		If objBasket.Count = 0 then %>
			<div class="errors"><strong><% WriteString("ContentText_BasketEmpty") %></strong></div>
		
		<% Else %>
			<form method="get" action="basket.asp"><div class="form">
				<%= objCactuSession.Form %>
				<input type="hidden" name="strFromBasket" value="yes" />
				<div class="baskettable"><table summary="<% WriteSafeString("ContentText_BasketTableSummary") %>">
					<thead>
						<tr class="header">
							<th class="name" colspan="2"></th>
							<%
							If strAppPricesIncTax = "y" Then
								If strAppShowTaxDisplay = "y" Then %>
									<th class="price_1"><% WriteString("ContentText_ExTax") %></th>
									<th class="price_2"><% WriteString("ContentText_IncTax") %></th><%
								Else %>
									<th class="price" colspan="2"><% WriteString("ContentText_Price") %></th><%
								End if
							Else
								'Ex Tax
								If strAppShowTaxDisplay = "y" Then %>
									<th class="price_1"><% WriteString("ContentText_Price") %></th>
									<th class="price_2"><% WriteString("ContentText_Tax") %></th><%
								Else %>
									<th class="price" colspan="2"><% WriteString("ContentText_Price") %></th><%
								End if
							End If %>
							<th class="quantity"><% WriteString("ContentText_Qty") %></th>
							<th class="remove"></th>
						</tr>
					</thead>
					<tbody>
						<!-- BASKET ROWS -->
						<%
						For i = 0 to objBasket.Count - 1
							With objBasket.Item(i)
								'Highlight adjusted quantities.
								blnHighlightRow = Contains(strAdjusted, .VersionID & "-" & .OptionsList)
								%>
								<tr<%= IIf(blnHighlightRow, " class=""highlight""", " class=""subheader""") %>>
									<td class="name" colspan="6"><strong><%= .ProductName %></strong></td>
								</tr>
								<tr<%= IIf(blnHighlightRow, " class=""highlight""", "") %>><%
									if .ProductType = "s" then %>
										<td class="codenumber" colspan="2"><%
									Else
										if .HasOptions Then %>
											<td class="details"><%= .OptionText("html") %></td><%
										else %>
											<td class="details"><a href="product.asp?<%= objCactuSession.QS %><%= .GetLinkQS %>strPageHistory=basket"><%= .VersionName %></a></td><%
										end if %>
										<td class="codenumber"><%
									End If %>
									
									<a href="product.asp?<%= objCactuSession.QS %><%= .GetLinkQS %>strPageHistory=basket"><%= .CodeNumber %></a></td>
									
									<% If strAppPricesIncTax = "y" Then
										If strAppShowTaxDisplay = "y" Then %>
											<td class="price_1"><% =objCurrency.Display(.ExTax, false, false) %></td>
											<td class="price_2"><% =objCurrency.Display(.IncTax, false, false) %></td><%
										Else %>
											<td class="price" colspan="2"><% =objCurrency.Display(.IncTax, false, false) %></td><%
										End if
									Else
										If strAppShowTaxDisplay = "y" Then %>
											<td class="price_1"><% =objCurrency.Display(.ExTax, false, false) %></td>
											<td class="price_2"><% = .TaxRate * 100 %>%</td><%
										else %>
											<td class="price" colspan="2"><% =objCurrency.Display(.ExTax, false, false) %></td><%
										end if
									End If 
									
									if .Quantity <= 0 then %>
										<td class="quantity removed" colspan="2"><% WriteString("ContentText_BasketItemRemoved") %></td><%
									else %>
										<td class="quantity"><input type="text" value="<%= .Quantity %>" name="T<%= i %>" size="4" /></td>
										<td class="remove"><a href="basket.asp?<%= objCactuSession.QS %>strAction=remove&amp;numRemove=<%= .m_versionID %>&amp;strOptions=<%= .OptionsList %>"><% WriteString("FormButton_Remove") %></a></td>
									<% end if %>
								</tr>
								<%
							End With 
						Next

						'-----------------------------------------------
						'SHOW PROMOTION ENTRY   
						'-----------------------------------------------
						If SOFTWARE_IS_PRO then
							Call ShowPromotionsInBasket(objBasket, objCurrency, strAppPricesIncTax, strAppShowTaxDisplay)
						End if
						

						'-----------------------------------------------
						'SHOW COUPON ENTRY   
						'this slightly differs from the one on payonline,
						'because it may not show tax calculations at all
						'-----------------------------------------------
						With objBasket.CouponDiscount
							'Only show row if there is a discount
							If .IncTax < 0 then %>
								<tr class="subheader discount"> 
									<td colspan="6" class="name"><strong><% WriteString("ContentText_CouponDiscount") %></strong></td>
								</tr>
								<tr class="discountdetails"> 
									<td colspan="2" class="details"><%= strCouponName %></td>
									<%
									'Inc Tax
									If strAppPricesIncTax = "y" then
										If strAppShowTaxDisplay = "y" then
										%>
											<td class="price_1"><% =objCurrency.Display(.ExTax, false, false) %></td>
											<td class="price_2"><% =objCurrency.Display(.IncTax, false, false) %></td>
										<% Else %>
											<td class="price" colspan="2"><% =objCurrency.Display(.IncTax, false, false) %></td>
										<% End if
									'Ex Tax
									Else 
										If strAppShowTaxDisplay = "y" Then %>
											<td class="price_1"><% =objCurrency.Display(.ExTax, false, false) %></td>
											<td class="price_2"><% =.TaxRate * 100 %>%</td>
										<% else %>
											<td class="price" colspan="2"><% =objCurrency.Display(.IncTax, false, false) %></td>
										<% end if %>
									<% End if %>
									<td class="quantity">1</td>
									<td class="remove"><a href="basket.asp?<%= objCactuSession.QS %>strAction=removecoupon"><% WriteString("FormButton_Remove") %></a></td>
								</tr>	
							<% End if 
						End With
										
						'-----------------------------------------------
						'SHOW CUSTOMER DISCOUNT ENTRY   
						'this slightly differs from the one on payonline,
						'because it may not show tax calculations at all
						'-----------------------------------------------
						With objBasket.CustomerDiscount
							'Only show row if there is a discount
							If DB_C_CustomerDiscount > 0 then %>
								<tr class="subheader discount"> 
									<td colspan="6" class="name"><strong><% WriteString("ContentText_Discount") %></strong></td>
								</tr>
								<tr class="discountdetails"> 
									<td colspan="2" class="details"><%= DB_C_CustomerDiscount %>%</td>
									<%
									'Inc Tax
									If strAppPricesIncTax = "y" then
										If strAppShowTaxDisplay = "y" then
										%>
											<td class="price_1"><% =objCurrency.Display(.ExTax, false, false) %></td>
											<td class="price_2"><% =objCurrency.Display(.IncTax, false, false) %></td>
										<% Else %>
											<td class="price" colspan="2"><% =objCurrency.Display(.IncTax, false, false) %></td>
										<% End if
									'Ex Tax
									Else 
										If strAppShowTaxDisplay = "y" Then %>
											<td class="price_1"><% =objCurrency.Display(.ExTax, false, false) %></td>
											<td class="price_2"><% =.TaxRate * 100 %>%</td>
										<% else %>
											<td class="price" colspan="2"><% =objCurrency.Display(.ExTax, false, false) %></td>
										<% end if %>
									<% End if %>

									<td colspan="1" class="quantity">1</td>
									<td></td>
								</tr>	
							<% End if 
						End With %>	
					</tbody>
				</table></div><%
			
				If strAdjusted <> "" Then 
					if objBasket.AdjustedForElectronic then %>
						<div class="errors"><strong><% WriteString("ContentText_OutOfStockElectronic") %></strong></div><% 
					else %>
						<div class="errors"><strong><% WriteString("ContentText_OutOfStock") %></strong></div><% 
					end if
				End If %>
				
				<%If GetAppVar("allowcoupons") <> "n" then	
					'Shown coupon application box - only if no coupon code already in basket
					If CP_CouponCode = "" then %>
						<div class="applycoupon">
							<strong><% WriteString("ContentText_ApplyCouponCode") %></strong>&nbsp;
							<input type="text" name="CP_CouponCode" id="CP_CouponCode" value="<%= WriteSafe(strFormCouponCode) %>" />
							<input type="submit" class="smallsubmit" name="btnApplyCoupon" value="<% WriteString("ContentText_EnterCouponLink") %>" />
						</div><%
					end if
				End if %>
									
				<div class="totals"><%
					'Show Totals
					With objBasket
						If strAppShowTaxDisplay = "y" Then %>
							<% WriteString("ContentText_OrderAmount") %> = <% =objCurrency.Display(.FinalPriceExTax, false, false) %><br />
							<% WriteString("ContentText_TaxWhereApp") %> = <% =objCurrency.Display(.FinalPriceTaxAmount, false, false) %><br />
							<em><% WriteString("ContentText_Total") %> = <% =objCurrency.Display(.FinalPriceIncTax, false, false) %></em><br /><%
						Else
							If strAppPricesIncTax = "y" Then %>
								<em><% WriteString("ContentText_Total")%> = <% =objCurrency.Display(.FinalPriceIncTax, false, false) %></em><br /><%
							Else %>
								<em><% WriteString("ContentText_Total")%> = <% =objCurrency.Display(.FinalPriceExTax, false, false) %></em><%
							End If
						End If 
					End With %>
					
					<div class="controls">
						<% If Not strReturnURL = "" Then %>
							<div class="continueshopping"><input class="submit" type="button" onclick="parent.location='<% =strReturnURL %>'" value="<% WriteString("ContentText_ContinueShopping") %>" /></div>
						<% End If %>
						<input class="submit" type="submit" value="<% WriteSafeString("FormButton_Recalculate") %>" name="btnRecalculate" /><input class="submit" type="submit" value="<% WriteString("FormButton_EmptyBasket") %>" tabindex="4" name="btnEmpty" /><% If GetAppVar("allowenquiries")="y" Then %><input class="submit" type="submit" value="<% WriteString("FormButton_MakeEnquiry") %>" name="btnEnquire" /><% End If
						If objBasket.FinalPriceExTax < NumSafe(GetAppVar("minorderval") * objCurrency.ExchangeRate) Then
						%><input class="submit" type="button" value="<% WriteSafeString("FormButton_Checkout") %>" name="btnCheckout" onclick="alert('<% WriteString("Popup_OrderBelowMin")%> (<% =objCurrency.Display(GetAppVar("minorderval"), true, false) %>)')" /><% Else %><input class="submit" type="submit" value="<% WriteString("FormButton_Checkout") %>" name="btnCheckout" /><% End If %>
					</div>
				</div>
			</div></form>
		<% End If '// Basket empty?
				
		If SOFTWARE_IS_PRO then
			Call DisplayPromotionsOnBasket(objBasket)
		End If %>

		<div class="section">
			<div class="links">
				<div>
					<a href="customer_savedbaskets.asp?<%= objCactuSession.QS %>strCallMode=save&amp;strShow=baskets"><img src="<% =strTemplateImagesFolder %>iSaveRecoverBasket.gif" alt="<% WriteSafeString("ContentText_SaveRecoverBasketDesc") %>" title="<% WriteSafeString("ContentText_SaveRecoverBasketDesc") %>" /><% WriteString("PageTitle_SaveRecoverBasketContents") %></a>
					<p><% WriteString("ContentText_SaveRecoverBasketDesc") %></p>
				</div>
				<div>
					<a href="customer_home.asp?<%= objCactuSession.QS %>"><img src="<% =strTemplateImagesFolder %>iCustomerLogin.gif" alt="<% WriteSafeString("ContentText_MyAccountDesc") %>" title="<% WriteSafeString("ContentText_MyAccountDesc") %>" /><% WriteString("PageTitle_MyAccount")%></a>
					<p><% WriteString("ContentText_MyAccountDesc") %></p>
				</div>
			</div>
			<div class="links">
				<div>
					<a href="speedorder.asp?<%= objCactuSession.QS %>"><img src="<% =strTemplateImagesFolder %>iSpeedOrder.gif" alt="<% WriteSafeString("ContentText_SpeedOrderItemsDesc") %>" title="<% WriteSafeString("ContentText_SpeedOrderItemsDesc") %>" /><% WriteString("PageTitle_SpeedOrder")%></a>
					<p><% WriteString("ContentText_SpeedOrderItemsDesc") %></p>
				</div>
				<% If GetAppVar("enablewishlist") <> "n" then %>
					<div>
						<a href="customer_wishlists.asp?<%= objCactuSession.QS %>strCallMode=save&amp;strShow=<%= strShow %>"><img src="<% =strTemplateImagesFolder %>iWishList.gif" alt="<% WriteSafeString("ContentText_SaveWishListDesc") %>" title="<% WriteSafeString("ContentText_SaveWishListDesc") %>" /><% WriteString("ContentText_SaveWishList") %></a>
						<p><% WriteString("ContentText_SaveWishListDesc") %></p>
					</div>
				<% End if %>
			</div>
		</div>
		<% If Not strReturnURL = "" Then %>
		<br />
		<div class="section">
			<div class="continueshopping"><strong><a href="<% =strReturnURL %>"><% WriteString("ContentText_ContinueShopping") %></a></strong></div>
		</div>
		<% End If
	End If '// meta refresh %>
</div>
<%
'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(1))

Call EndPage()
%>
