<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "14, 68, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 243, 258, 259, 260, 291, 293, 1717" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<% blnMustBeLoggedIn = true %>
<!--#include file="includes/customer_security.asp"-->
<%
'-----------------------------------------------
'SET PAGETITLE TAG
'-----------------------------------------------
strPageTitleHTML = GetString("PageTitle_SaveRecoverBasketContents") & GetString("PageTitle_Separator") & GetString("Config_Webshopname")

'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'SAVE/RECOVER BASKET				
'This feature lets potential customers compile
'an order and save it for recovery later. This
'is useful if a user has one or more regular
'orders they like to make, or if they need to
'return at a later date.				
'-----------------------------------------------
strCallMode = ListSafe(DualRequest("strCallMode"), ",save,new,recover,delete", "")
BSKT_ID = NumSafe(DualRequest("BSKT_ID"))
BSKT_Name = DualRequest("BSKT_Name")

'-----------------------------------------------
'DECIDE WHAT (IF ANY) PROCESSING TO DO
'-----------------------------------------------
Select Case strCallMode
	Case "new"
		'error checking
		strErrorMsg = strErrorMsg & CheckBlank(GetString("ContentText_BasketNamePassword"), BSKT_Name, "BSKT_Name")
		strErrorMsg = strErrorMsg & CheckLength(GetString("ContentText_BasketNamePassword"), BSKT_Name, GetAppVar("BSKT_Name_AL"), "BSKT_Name")
			
		If strErrorMsg <> "" then 
			strErrorMsg = FormatErrors(strErrorMsg)

		Else
			'Create new basket record
			strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "SaveBasket (BSKT_CustomerID, BSKT_Name, BSKT_Items, BSKT_Quantity, BSKT_OptionGroups, BSKT_Options, BSKT_DateTime) VALUES (" &_
				DB_C_ID & "," &_
				strUnicode & "'" & SQLSafe(BSKT_Name) & "'," &_
				"'" & SQLSafe(objBasket.Items) & "'," &_
				"'" & SQLSafe(objBasket.Quantities) & "'," &_
				"'" & SQLSafe(objBasket.OptionGroups) & "'," &_
				"'" & SQLSafe(objBasket.Options) & "'," &_
				strDateDelimiter & ReverseDate(NowOffset()) & strDateDelimiter & ")"
			Call ExecuteNonQuery(strQuery)
			Call EndPage()
			response.redirect("customer_home.asp?" & strSessionQS & "strShow=" & strShow)
		End If

	Case "delete"
		'Delete basket
		strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "SaveBasket WHERE BSKT_ID=" & BSKT_ID & " AND BSKT_CustomerID=" & DB_C_ID
		Call ExecuteNonQuery(strQuery)
		Call EndPage()
		response.redirect("customer_home.asp?" & strSessionQS & "strShow=" & strShow)

	Case "recover"
		'Recover saved basket to current basket
		strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "SaveBasket WHERE BSKT_ID=" & BSKT_ID & " AND BSKT_CustomerID=" & DB_C_ID
		Call ExecuteRS(strQuery, objRecordSet)
		If not (objRecordSet.BOF and objRecordSet.EOF) then 
			'Update current basket from saved version
			objBasket.Clean
			objCactuSession.Edit "strItems", objRecordSet("BSKT_Items")
			objCactuSession.Edit "strQuantities", objRecordSet("BSKT_Quantity")
			objCactuSession.Edit "strOptionGroups", objRecordSet("BSKT_OptionGroups")
			objCactuSession.Edit "strOptions", objRecordSet("BSKT_Options")
		End if
		objRecordSet.close
		Call EndPage()
		response.redirect("customer_home.asp?" & strSessionQS & "strShow=" & strShow)

End Select %>

<!--#include file="includes/buildpage.asp"-->
<%

'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)

'-----------------------------------------------
'WRITE FIRST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(0)) %>
<h1><% WriteString("PageTitle_MyAccount") %></h1>

<div class="customer">
	<h2><% WriteString("PageTitle_SaveCurrentBasketContents") %></h2><%
	If strErrorMsg <> "" then %>
		<div class="errors">
			<strong><% WriteString("ContentText_CorrectErrors") %></strong>
			<% =strErrorMsg %>
		</div><%
	end if %>
	<p><% WriteString("ContentText_SaveRecoverBasketContentsDesc") %></p>
	<p><% WriteString("ContentText_SaveRecoverBasketContentsDesc2") %></p>
	<p><% WriteString("ContentText_ChooseNamePassword") %></p>
	
	<form method="post" action="customer_savedbaskets.asp"><div class="inputform">
		<%= objCactuSession.Form %>
		<input type="hidden" name="strCallMode" value="new" />	
		<label for="BSKT_Name"><% WriteString("ContentText_BasketNamePassword") %>*</label>
		<div><input type="text" id="BSKT_Name" name="BSKT_Name" value="<%= WriteSafe(BSKT_Name) %>" /></div><br />				
	
		<input class="submit" type="submit" id="save" value="<% WriteSafeString("FormLabel_Save") %>" name="btnSave" />
			
	
	</div>
	</form>

</div>
<%
'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(1))

Call EndPage()
%>
