<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "18, 33, 55, 56, 60, 75, 76, 80, 81, 82, 91, 92, 233, 301, 304, 305, 643, 644, 645, 646, 647, 653, 825, 836, 1012, 1185, 1722, 1743" 
blnDateStrings = true %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<% blnMustBeLoggedIn = true %>
<!--#include file="includes/customer_security.asp"-->
<!--#include file="includes/buildpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'ORDER LOOKUP									
'Has a short name with short querystring names	
'to minimize the chance of text links wrapping	
'over several lines.							
'-----------------------------------------------

'-----------------------------------------------
'COLLECT VALUES FROM QUERYSTRING				
'These details can be called up from either the
'hyperlink in the email sent to a customer when
'they make an order, or by them entering their
'customer code and order number in the boxes
'provided on the site.
'-----------------------------------------------

'Function whether to show a tick or blank image
'based on the status of the flag
Function GetTick(strFlag)
	If strFlag = "y" then 
		GetTick = "<img class=""tick"" src=""" & strTemplateImagesFolder & "tick.gif"" alt="""" />"
	else 
		GetTick = "<img class=""tick"" src=""" & strTemplateImagesFolder & "tick_empty.gif"" alt="""" />"
	end if
End Function

O_ID = NumSafe(Request.QueryString("O_ID"))

'strFrom is specified as 'list' when we come from
'customer_home.asp. Can also come from backend
if Request.QueryString("strFrom") = "list" Then blnFromList = true

'Useful config settings
strAppPricesIncTax = GetAppVar("pricesinctax")
strAppShowTaxDisplay = GetAppVar("showtaxdisplay")

'-----------------------------------------------
'PULL OUT ORDER AND ALL INVOICE ROWS
'-----------------------------------------------
Set objOrderCurrency = New CurrencyData
If O_ID > 0 then
	strQuery = "SELECT * FROM (((tblCactuShop" & TABLE_PREFIX & "Currencies INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "Currencies.CUR_ID = tblCactuShop" & TABLE_PREFIX & "Orders.O_CurrencyID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "InvoiceRows ON tblCactuShop" & TABLE_PREFIX & "InvoiceRows.IR_OrderNumberID = tblCactuShop" & TABLE_PREFIX & "Orders.O_ID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers ON tblCactuShop" & TABLE_PREFIX & "Orders.O_CustomerID = tblCactuShop" & TABLE_PREFIX & "Customers.C_ID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Languages ON tblCactuShop" & TABLE_PREFIX & "Orders.O_LanguageID = tblCactuShop" & TABLE_PREFIX & "Languages.LANG_ID WHERE O_ID = " & O_ID & " AND C_ID = " & DB_C_ID
	Call ExecuteRS(strQuery, objRecordSet)
	
	If Not (objRecordSet.BOF And objRecordSet.EOF) then

		O_Details = objRecordSet("O_Details")
		O_TotalPrice = objRecordSet("O_TotalPrice")
		O_Date = objRecordSet("O_Date")
		O_Status = objRecordSet("O_Status")
		O_Details = objRecordSet("O_Details")
		O_LastModified = objRecordSet("O_LastModified")
		O_Sent = objRecordSet("O_Sent")
		O_Invoiced = objRecordSet("O_Invoiced")
		O_Shipped = objRecordSet("O_Shipped")
		O_Paid = objRecordSet("O_Paid")
		O_CouponCode = objRecordSet("O_CouponCode")
		O_CouponDiscountTotal = objRecordSet("O_CouponDiscountTotal")
		O_PricesIncTax = objRecordSet("O_PricesIncTax")
		O_TaxDue = objRecordSet("O_TaxDue")
		O_CurrencyID = objRecordSet("O_CurrencyID")
		O_TotalPriceGateway = objRecordSet("O_TotalPriceGateway")
		O_CurrencyIDGateway = objRecordSet("O_CurrencyIDGateway")
		O_PromotionDiscountTotal = objRecordSet("O_PromotionDiscountTotal")

		numShippingPriceExTax = objRecordSet("O_ShippingPrice")
		numShippingPriceIncTax = objRecordSet("O_ShippingPrice") + objRecordSet("O_ShippingTax")
		numOrderHandlingPriceExTax = objRecordSet("O_OrderHandlingCharge")
		numOrderHandlingPriceIncTax = numOrderHandlingPriceExTax + objRecordSet("O_OrderHandlingChargeTax")
		
		numTotal = objRecordSet("O_TotalPrice")
		numDiscountPercentage = objRecordSet("O_DiscountPercentage")
		
		C_ID = objRecordSet("C_ID")
		
		objOrderCurrency.Load(objRecordSet)
		
	else
		O_ID = 0
		
	End if

	'-----------------------------------------------
	'LOOKUP COUPON IF THERE IS ONE
	'-----------------------------------------------
	If O_CouponCode <> "" then
		strQuery2 = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Coupons WHERE CP_CouponCode='" & SQLSafe(O_CouponCode) & "'"
		Call ExecuteRS(strQuery2, objRecordSet2)

		CP_DiscountValue = objRecordSet2("CP_DiscountValue")
		CP_DiscountType = objRecordSet2("CP_DiscountType")
		If CP_DiscountType = "f" then CP_DiscountValue = O_CouponDiscountTotal
		CP_CouponCode = objRecordSet2("CP_CouponCode")
		objRecordSet2.close
	End if	
	
end if

'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE					
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)

'-----------------------------------------------
'WRITE FIRST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(0))

If O_ID = 0 then %>
	<h1><% WriteString("PageTitle_OrderStatus") %></h1>
	<div class="vieworder">
		<p><% WriteString("ContentText_OrderNotFound") %></p>
		<p><a href="customer_account.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_LookupPage") %></a></p>
	</div><%

else %>
	
	<h1><% WriteString("PageTitle_OrderStatus") %></h1>
	<div class="vieworder">
		<h2><% WriteString("ContentText_OrderDetails") %></h2>
		<div class="orderdetails">
		
			<label><% WriteString("ContentText_OrderNumber") %></label>
			<div><%= O_ID %></div><br />
			
			<label><% WriteString("ContentText_OrderDate") %></label>
			<div><%= WriteSafe(FormatDate(O_Date,strDateFormat)) %></div><br />
			
			<label><% WriteString("ContentText_Total") %></label>
			<div><%= WriteSafe(objOrderCurrency.Display(O_TotalPrice, false, false)) %></div><br /><%
			
			'Order tracking details 
			If GetAppVar("ordertracking") = "y" then %>
				<label><% WriteString("ContentText_LastUpdate") %></label>
				<div><% =FormatDate(O_LastModified,strDateAndTimeFormat) %></div><br />
				
				<label><% WriteString("ContentText_OrderStatus") %></label>
				<div>
					<div class="tick"><%= GetTick(O_Sent) & GetString("ContentText_OrderStatusSent") %></div>
					<div class="tick"><%= GetTick(O_Invoiced) & GetString("ContentText_OrderStatusInvoiced") %></div>
					<div class="tick"><%= GetTick(O_Paid) & GetString("ContentText_OrderStatusPaid") %></div>
					<div class="tick"><%= GetTick(O_Shipped) & GetString("ContentText_OrderStatusShipped") %></div>
				</div><br />
			<% end if '// show extended info if order tracking
			
			'Show process field if not blank
			If len(O_Status) > 0 then %>
				<h2><% WriteString("ContentText_OrderProgress") %></h2>
				<p><%= O_Status %></p><%
			end if %>
		</div>
	</div>
	<div class="basket">
		<div class="baskettable"><table summary="<% WriteSafeString("ContentText_BasketTableSummary") %>">
			<thead>
				<tr class="header">
					<th class="name"></th><%
					If strAppPricesIncTax = "y" Then
						If strAppShowTaxDisplay = "y" Then %>
							<th class="price_1"><% WriteString("ContentText_ExTax") %></th>
							<th class="price_2"><% WriteString("ContentText_IncTax") %></th><%
						Else %>
							<th class="price" colspan="2"><% WriteString("ContentText_Price") %></th><%
						End if
					Else
						'Ex Tax
						%>
							<th class="price_1"><% WriteString("ContentText_Price") %></th>
							<th class="price_2"><% WriteString("ContentText_Tax") %></th>
					<% End If %>
					<th class="quantity"><% WriteString("ContentText_Qty") %></th>
					<th class="total"><% WriteString("ContentText_Total") %></th>
				</tr>
			</thead>
			<tbody><% 
				'Show all invoice rows
				do while not objRecordSet.EOF %>
					<tr class="subheader">
						<td colspan="5" class="versioname"><strong><% =objRecordSet("IR_VersionName") %></strong></td>
					</tr>
					<tr>
						<td class="name"><% 
							response.Write objRecordSet("IR_VersionCode")
							IR_OptionsText = objRecordSet("IR_OptionsText") & ""
							If IR_OptionsText <> "" then response.Write "<br />" & Replace(IR_OptionsText, vbcrlf, "<br />")
						%></td><% 
						
						If O_PricesIncTax = "y" then 
							If strAppShowTaxDisplay = "y" then %>
								<td class="price_1"><%= WriteSafe(objOrderCurrency.Display(objRecordSet("IR_PricePerItem") - objRecordSet("IR_TaxPerItem"), false, false)) %></td>
								<td class="price_2"><%= WriteSafe(objOrderCurrency.Display(objRecordSet("IR_TaxPerItem"), false, false)) %></td>
							<% Else %>
								<td class="price" colspan="2"><%= WriteSafe(objOrderCurrency.Display(objRecordSet("IR_PricePerItem"), false, false)) %></td>
							<% End if %>
							<td class="quantity"><%= objRecordSet("IR_Quantity") %></td>
							<td class="total"><%= WriteSafe(objOrderCurrency.Display(objRecordSet("IR_PricePerItem") * objRecordSet("IR_Quantity"), false, false)) %></td><%
						
						Else %>
							<td class="price_1"><%= WriteSafe(objOrderCurrency.Display(objRecordSet("IR_PricePerItem"), false, false)) %></td>
							<td class="price_2"><%= objRecordSet("IR_TaxPerItem") * 100 %>%</td>
							<td class="quantity"><%= objRecordSet("IR_Quantity") %></td>
							<td class="total"><%= WriteSafe(objOrderCurrency.Display((0.0001 + (objRecordSet("IR_PricePerItem") * objRecordSet("IR_Quantity") * (1 + objRecordSet("IR_TaxPerItem")))), false, false)) %></td><%
						End if %>
					</tr><%
						
					'Calculate totals 
					If O_PricesIncTax = "y" then
						'INC TAX - Price of row inc tax (row = items x qty)
						numRowPriceExTax = Round((objRecordSet("IR_Quantity") * (objRecordSet("IR_PricePerItem") - objRecordSet("IR_TaxPerItem"))) - 0.0001, 2)
						numRowPriceIncTax = objRecordSet("IR_PricePerItem") * objRecordSet("IR_Quantity")
						numTotalPriceExTax = numTotalPriceExTax + numRowPriceExTax
						numTotalPriceIncTax = numTotalPriceIncTax + numRowPriceIncTax
					Else
						'EX TAX  - Price of row ex tax (row = items x qty)
						numRowPriceExTax = Round(objRecordSet("IR_PricePerItem") * objRecordSet("IR_Quantity") , 2)
						numRowPriceIncTax = objRecordSet("IR_PricePerItem") * objRecordSet("IR_Quantity") * (1 + objRecordSet("IR_TaxPerItem"))
						numTotalPriceExTax = numTotalPriceExTax + numRowPriceExTax
						numTotalPriceIncTax = numTotalPriceIncTax + numRowPriceIncTax
					End if
					objRecordSet.movenext
				loop %>
			</tbody>
		</table></div><%

		'-----------------------------------------
		'FINAL TOTAL DEPENDS ON COUNTRY
		'-----------------------------------------
		If O_TaxDue = 1 then
			strOrderValueTotal = GetString("ContentText_TotalOrderValue") & " = " & objOrderCurrency.Display(numTotalPriceIncTax, false, false) & "<br />"
			strShipping = GetString("ContentText_Shipping") & " = " & WriteSafe(objOrderCurrency.Display(numShippingPriceIncTax, false, false)) & "<br />"
			If numOrderHandlingPriceIncTax > 0 then strOrderHandlingCharge = GetString("ContentText_OrderHandlingCharge") & " = " & WriteSafe(objOrderCurrency.Display(numOrderHandlingPriceIncTax, false, false)) & "<br />"
		Else
			strOrderValueTotal = GetString("ContentText_TotalOrderValue") & " = " & objOrderCurrency.Display(numTotalPriceExTax, false, false) & "<br />"
			strShipping = GetString("ContentText_Shipping") & " = " & WriteSafe(objOrderCurrency.Display(numShippingPriceExTax, false, false)) &"<br />"
			If numOrderHandlingPriceExTax > 0 then strOrderHandlingCharge = GetString("ContentText_OrderHandlingCharge") & " = " & WriteSafe(objOrderCurrency.Display(numOrderHandlingPriceExTax, false, false)) & "<br />"
		End if

		'Look up gateway currency used
		Set objGatewayCurrency = New CurrencyData
		If O_CurrencyIDGateway <> O_CurrencyID then
			'Lookup details of currency gateway uses
			strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Currencies WHERE CUR_ID = " & O_CurrencyIDGateway
			Call ExecuteRS(strQuery, objRecordSet2)
			Set objGatewayCurrency = New CurrencyData
			objGatewayCurrency.Load(objRecordSet2)
			objRecordSet2.close					
		Else
			'Orders processed in user selected currency - copy
			'objGatewayCurrency.Copy(objOrderCurrency)
		End if
		numFinalTotalPriceInTaxGateway = Round(O_TotalPriceGateway, 2)
		strOrderValueTotalGateway = GetString("EmailText_ProcessCurrencyExp1") & " " & WriteSafe(objGatewayCurrency.Display(numFinalTotalPriceInTaxGateway, false, false))
		
		'Promotions line
		If O_PromotionDiscountTotal < 0 then
			strPromotionDiscount = GetString("ContentText_PromotionDiscount") & " = " & WriteSafe(objOrderCurrency.Display(O_PromotionDiscountTotal, false, false)) & "<br />"
		End If
		
		'Coupon line
		If O_CouponCode <> "" then
			If CP_DiscountType = "p" then
				strCouponDiscount = GetString("ContentText_CouponDiscount") & " = " & CP_DiscountValue & "%<br />"
			Else
				strCouponDiscount = GetString("ContentText_CouponDiscount") & " = " & WriteSafe(objOrderCurrency.Display(CP_DiscountValue, false, false)) & "<br />"
			End if
		End if
		
		'Discount percentage line
		If numDiscountPercentage <> 0 then
			strDiscountPercentage = GetString("ContentText_Discount") & " = " & numDiscountPercentage & "%<br />"
		End if

		strTotal = "<em>" & GetString("ContentText_Total") & " = " & WriteSafe(objOrderCurrency.Display(numTotal, false, false)) & "</em><br />"
		response.write "<div class=""totals"">" & strOrderValueTotal & strPromotionDiscount & strCouponDiscount & strDiscountPercentage & strShipping & strOrderHandlingCharge & "<br />" & strTotal & vbcrlf & "</div>"
		If O_CurrencyIDGateway <> O_CurrencyID then response.write("<hr />" & strOrderValueTotalGateway & "<hr />")
		
		If blnFromList then %>
			<p><a href="customer_home.asp?<%= objCactuSession.QS %>">&#171; <% WriteString("ContentText_GoBack") %></a></p><%
		end if %>
	</div><%
	

end if '// found order

objRecordSet.close

'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(1))

Call EndPage()
%>
