<% 'needs languagestrings 99, 122, 171, 243 %>
<div class="emailreminder">

	<% strError = ListSafe(DualRequest("strError"), "emailnotfound,remindersent,noemail,email", "")
	If strError <> "" then %>
		<div class="errors"><strong>
		<%
		'-----------------------------------------------
		'RETURNED BACK TO PAGE DUE TO AN ERROR			
		'-----------------------------------------------
		Select Case strError 

			Case "noemail"
				'email address is blank
				strMessageText = GetString("ContentText_NoEmailAddress")

			Case "remindersent"
				'email address is blank
				strMessageText = GetString("ContentText_CustomerNumberEmailSent") & " '" & objCactuSession.Value("C_EmailAddress") & "'"
	
			Case "emailnotfound"
				'email/pw combination was not found
				strMessageText = "'" & objCactuSession.Value("C_EmailAddress") & "' " & GetString("ContentText_NotFoundInDB")

			Case "email"
				'email was not a validly formatted address
				strMessageText = Replace(GetString("ContentText_EmailAddressNotValid"), "<label>", GetString("FormLabel_EmailAddress")) & " " & WriteSafe(strEmailFrom)

		End Select
		response.Write strMessageText
		%>
		</strong></div>
	<% end if %>

	<h2><% WriteString("PageTitle_ForgottenCustomerNumber") %></h2>
	<p><% WriteString("ContentText_ForgottenCustomerNumberDesc") %></p>

	<form method="post" action="<% =GetAppVar("webshopURL") %>emailreminder.asp">
		<div class="box inputform">
		<input type="hidden" name="strIsMyAccount" value="<% =IsMyAccount %>" />
		<%= objCactuSession.Form %>
				
			<label for="strEmailAddressReminder"><% WriteString("FormLabel_EmailAddress") %></label>
			<div><input type="text" name="strEmailAddressReminder" id="strEmailAddressReminder" value="<%= objCactuSession.Value("C_EmailAddress") %>" /></div><br />
	
			<input class="submit" type="submit" name="submit" id="submit" value="<% WriteSafeString("ContentText_RemindMe") %>" />
		</div>
	</form>
</div>